Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported

Bug #1383184 reported by Dimitrios Matanis on 2014-10-20
622
This bug affects 116 people
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Hui Wang
Wily
Undecided
Unassigned
linux (Ubuntu)
Medium
Željko
Wily
Undecided
Unassigned
linux-firmware (Ubuntu)
Medium
Hui Wang
Wily
Medium
Seth Forshee
network-manager (Ubuntu)
Undecided
Unassigned

Bug Description

=========================================================

CURRENT STATUS:

Wily(15.10) could not work with and don't need Adam's dkms package 1.0 or 1.1

Wily(15.10) has already fixed the driver part, and the firmware part is in progress.

For now, you guys could use 15.10(purge the ath10k-dkms if you tried installing it), and make a copy of https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/

15.10 will work in a week by a simple `apt upgrade`

Distros before 15.10(lower than 4.2 kernel) please keep using the dkms(which will be relocated soon)

=========================================================

Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]

This is on a fully updated Ubuntu Server 14.04 installation, with the ubuntu-desktop environment installed. This happened in order to get the md raid drivers for raid0 on my system, as the desktop version doesn't support them.
---
ApportVersion: 2.14.1-0ubuntu3.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: matanis 2333 F.... pulseaudio
 /dev/snd/controlC0: matanis 2333 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
InstallationDate: Installed on 2014-10-16 (3 days ago)
InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.3)
IwConfig:
 p2p1 no wireless extensions.

 lo no wireless extensions.
MachineType: Micro-Star International Co., Ltd. GT72 2QE
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-37-generic N/A
 linux-backports-modules-3.13.0-37-generic N/A
 linux-firmware 1.127.7
RfKill:

Tags: trusty
Uname: Linux 3.13.0-37-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 09/15/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: E1781IMS.10D
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: MS-1781
dmi.board.vendor: Micro-Star International Co., Ltd.
dmi.board.version: REV:0.C
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrE1781IMS.10D:bd09/15/2014:svnMicro-StarInternationalCo.,Ltd.:pnGT722QE:pvrREV0.C:rvnMicro-StarInternationalCo.,Ltd.:rnMS-1781:rvrREV0.C:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: GT72 2QE
dmi.product.version: REV:0.C
dmi.sys.vendor: Micro-Star International Co., Ltd.

Qualcomm Atheros Device [168c:003e] (rev 20)

mainline commit d63955b33b3bee45d784ffdfafeb93076c765660

[ 6.221281] ath10k_pci 0000:02:00.0: pci irq msi interrupts 1 irq_mode 0 reset_mode 0
[ 6.417386] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/cal-pci-0000:02:00.0.bin failed with error -2
[ 6.417404] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:17aa:3044.bin failed with error -2
[ 6.417407] ath10k_pci 0000:02:00.0: failed to load spec board file, falling back to generic: -2
[ 6.417416] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board.bin failed with error -2
[ 6.417418] ath10k_pci 0000:02:00.0: failed to fetch generic board data: -2
[ 6.417420] ath10k_pci 0000:02:00.0: failed to fetch board file: -2
[ 6.417421] ath10k_pci 0000:02:00.0: could not fetch firmware files (-2)
[ 6.417423] ath10k_pci 0000:02:00.0: could not probe fw (-2)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1383184

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected trusty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-rc1-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

Hello.

I installed the latest x64 upstream kernel as well as the headers for it from the link you provided.

I got to the login screen, and after I entered my password it just hanged there and I never got to the desktop.
I tried one more time, and this time I did not enter my password. I used the top bar to connect to the internet in the login screen but wifi was still not recognized.

Hence, I just added the tag kernel-bug-exists-upstream. Let me know if I should have used the second one you mentioned.

P.S.: I just noticed that during the booting time I get a message saying that Bluetooth is not available either. I guess that doesn't have a proper driver either. Not sure if it's the same device or not.

Cheers.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Pelle Johnsen (pelle-johnsen) wrote :

Having similar issue with MSI GS60-2QE (same N1525 chipset). At a hotel with limited wifi, but will try to download upsteram kernel later

Would that be any different for you? Meaning we have the same card and same OS?

Pelle Johnsen (pelle-johnsen) wrote :

Ok I managed to try the 3.18-rc1 kernel. The nvidia-343 driver fails to build for this, so that's probably why you couldn't log in. Testing in a virtual console, no wireless interface was up.

I also tried modprobe athk10k_pci (I think this card is some atheros variant). It loaded fine, but still no wlan interface showed up. So as far as I can tell that kernel doesn't support the chipset :S

Thanks for your effort!

Just letting everybody know:

I just updated to Ubuntu 14.10 and the problem persists. Bluetooth is still not working either.

ivo schindler (k-launchpad-b) wrote :

same here: new gs70 with killer n1525 with ubuntu 14.10 and no wifi... is there a work around with compiling/installing something by hand?

Raúl Vidal (raulvior-bcn) wrote :

This card (N1525) is also used in MSI GS60 laptops. But knowing that the killer E2200 didn't make it into the kernel until 2013, I think it can take a long time to get the N1525 working under Linux.

Meanwhile, you could buy an Intel card or another Atheros card which already works under Linux. At least you know that your laptop antennas are prepared for working under 5 Ghz band, if you need.
It's something cheap, $50 at most.

It's a really good piece of hardware and it is, in my opinion, a shame to replace it with something inferior. It works great on Windows and as I'm using it there I'm willing to stay ethernet-only on linux until it gets supported.

I can't imagine its technology being majorly different than its predecessors, so hopefully it will not take years!

Zemistr (zemistr) wrote :

Same here :/
New Acer Aspire V17 Nitro Black Edition with Ubuntu 14.10 and no wifi. But, bluetooth is OK.

Hmmm how can your bluetooth be OK, Zemistr? Are you sure you have the same card? Have you manually installed some bluetooth driver?

Zemistr (zemistr) wrote :

Correction...

Bluetooth pretend like it is OK, but nothing found.
Even my phone does not find my notebook.
I have a new clean install of Ubuntu 14.10.

'lspci' say:

07:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

In windows I install this:
Killer Wireless-AC 1525 Bluetooth – Windows 8.1 (Version 3.0.0.400)

Zemistr (zemistr) wrote :

How do I know if I have the same hardware?

You can look at the manufacturer's specs for an exact model of the wifi card. If that's the driver you installed for windows then maybe you DO have the same one, or at least a really similar variant!

For me the bluetooth icon in ubuntu (tray) does not even show up.

Zemistr (zemistr) wrote :
no longer affects: linux

Got the problem with the msi gs60 2qe

Roland Kohn (roland-kohn) wrote :

also affected with Acer Aspire VN7-591G

card is at least named the same within lspci

Roland Kohn (roland-kohn) wrote :

as stated by a sticker on the back of Acer Aspire VN7-591G the builtin wifi/bluetooth module seems to be "QCNFA344", so probably not the same as mentioned here

Michael Helten (mrhelten) wrote :

Same problem with Acer Aspire VN7-591G and Ubuntu 14.10...
lspci returns Qualcomm Atheros Device [168c:003e] (rev 20)
Sticker on the back states "QCNFA344"... so far no wifi and no bluetooth
Any Idea for a workaround?

Same here on Alienware 13

Catofes (7-i-x) wrote :

Same in MSI Gs60-PE

S.Lacy (stevelacy) wrote :

All MSI late 2014 and 2015 models are affected.

Johannes (jps-o) wrote :

I'm on an Acer Aspire VN7-591G and Ubuntu 15.04 (Vivid dev) with kernel 3.18.0-8 and while wifi doesn't work, bluetooth *does*. It pairs and can send files to my smartphone.

That's some good news. At least something got fixed!

I hope somebody will take a look into the WiFi too at some point.

Thanks for then info Johannes.

jc (bluegill5) wrote :

Yet another disappointed Ubuntu fan the bought an Alienware 13 and frustrated I can't run ubuntu because of the Qualcomm Atheros killer wireless card. Hope the driver comes out soon!

Captain Flubba (captainflubba) wrote :

I would also like this fixed.

Dev (deviskec) wrote :

One more, seems a lot of people will be using this card from now on, can't this get somehow escalated?

Amund Nygaard (amund-l) wrote :

I guess "only" 19 ppl voting they are affected makes that hard. I don't like dualbooting windows either :\

I wouldn't mind donating somewhere if this can be fixed.

Michael Helten (mrhelten) wrote :

I wouldn't mind donating either... Who would be able to fix this?

Chris O'Grady (cfogrady) wrote :

Also would donate for this.

BaGricek (web-zwn) wrote :

Same in Acer Aspire VN7-791G

Andy Brennenstuhl (e-web) wrote :

+1 MSI GS60 2QE

FYI, I have a dualboot Ubuntu and Win 8.1 setup where I also use VMware under Win to boot Ubuntu directly from it's partition. Under VMWare Ubuntu uses the virtualization drivers for WiFi and that works perfectly.

So, I have a choice of booting Ubuntu directly when a LAN connection is available, or booting through VMWare if I need to use WiFi.

oldboy (lecram-9) wrote :

Same in Acer Aspire VN7-571G (Qualcomm Atheros Device [168c:003e])

Unfortunately we can not completely get rid of Windows, because the GPU switching button only works with it :(

Unless someone has come up with a way to switch GPUs under Linux.

oldboy (lecram-9) wrote :

I'm really new to linux and don't have that much background on the update procedures, but I just opened my Acer Aspire VN7 571g to see how easy or hard it will be to replace the Qualcomm Atheros Killer Wireless-AC 1525 / WI1 chip1: Qualcomm Atheros QCA6174 and I searched another time for the QCA6174-5 and found this page. Apparently the devs are already working on supporting this model - well, there is a patch for it (ath10k) in the works.

http://permalink.gmane.org/gmane.linux.drivers.ath10k.devel/1443

Any idea what this might mean?

S.Lacy (stevelacy) wrote :

The gmane diff is harder to understand than the github visual diff:
https://github.com/kvalo/ath/commit/d63955b33b3bee45d784ffdfafeb93076c765660

I will be compiling the ath10k driver with that commit shortly to determine the outcome

S.Lacy (stevelacy) wrote :

ath10k added a news snippet regarding the driver added in Kernel 3.20: https://wireless.wiki.kernel.org/en/users/Drivers/ath10k#news

S.Lacy (stevelacy) wrote :

Compiled ath10k kernel (3.19.0-rc5-wl-ath+) without success. ath10k_core and ath10k_pci loaded fine, but did not show the device.

Dev (deviskec) wrote :

Thanks for trying, we will get this eventually!

Also affects Alienware M15 (early 2015). From the looks of it, all Alienware laptops from last refresh use this chip with no option of changing to the better supported Intel.

No wonder Dell didn't include Linux as an OS option. So yeah, fairly big family of laptops broken. Maybe ill try and source an intel wireless to change this.

S.Lacy (stevelacy) wrote :

I just got a Intel M.2 card... My work can't wait for the linux 3.20 release/driver creation.

Liang Chen (cbjchen) wrote :

I just placed an order for an Alienware 13 laptop. I should have checked the wireless support before... I am thinking of cancelling the order now. disappointed.

Andy (apet89) wrote :

I am currently having the same issue with my MYTHLOGIC Dia 1614 Chassis (Clevo P650Sx) machine.
Turns out the option I chose for a wireless card was the 'KILLER Wireless-AC 1525 2*2 802.11 ac/a/b/g/n + BT 4.0 350/867MB Total Bandwidth' as stated on the site.

When typing command 'lspci -v' into terminal I get this for my wired and wireless connection cards:

03:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
 Subsystem: CLEVO/KAPOK Computer Device 6556
 Flags: bus master, fast devsel, latency 0, IRQ 46
 I/O ports at d000 [size=256]
 Memory at f7a14000 (64-bit, non-prefetchable) [size=4K]
 Memory at f7a10000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: r8169

04:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)
 Subsystem: Bigfoot Networks, Inc. Device 1525
 Flags: fast devsel, IRQ 3
 Memory at f7800000 (64-bit, non-prefetchable) [disabled] [size=2M]
 Capabilities: <access denied>

It seems I am not the only one having issues with this wireless card. Qualcomm Atheros Device 003e (rev 20)

I currently have a dual boot setup with Windows 8.1 and Linux Mint 7.1 Cinnamon Rebecca edition which is based off Ubuntu (Debian) anyway so I guess we are all in the same boat.

Is there a work-around yet?? because at this point I am getting extremely frustrated since I need to use Linux on the go immediately and will donate as-well to get this working ASAP.

I am having buyers remorse since my machine is only a week old and that I should have chose a different option for Wireless cards like the 'Intel Centrino Advanced-AC 7265 2*2 802.11 ac/a/b/g/n + BT 4.0 350/867MB Total Bandwidth'

If someone has a solution please don't hesitate to email me at <email address hidden>

Hello everyone.

Just a solution I have stumbled upon (even though I haven't had the time to try it myself yet):

There is a way to use VirtualBox on Windows and have it boot directly your real Linux partition instead of a virtual one. There are guides on how to do that online and it should be easy to find on Google.

I am under the impression that VirtualBox uses it's own drivers on the guest OS so there is a good chance wifi would work that way on linux.

If anyone finds the time to try something like that, please let us know what happened!

Andy Brennenstuhl (e-web) wrote :

@Dimitris, I can confirm that you can boot Ubuntu and Mint directly from a partition used for dual-booting in VMware. This fixes the driver problem as VMware uses it's own virtualised network drivers.

Also, if I may offer a piece of advice to people regretting purchasing laptops with this card, or thinking about returns: Buy a USB WiFi dongle for a few bucks as a temporary fix while you wait for the drivers. You can buy a cheap low powered one, or even invest in high gain card with an antenna connector.

Mahi (mahi) wrote :

Having same problem in Alienware 13 :( . Bought a USB WiFi dongle but it disconnects frequently from internet.

Slipie (slipiefreak) on 2015-02-09
information type: Public → Public Security
information type: Public Security → Private Security
information type: Private Security → Public
Andy (apet89) wrote :

@S.M. Al Mahi (syed-al-mahi) I as well bought a wifi dongle and it disconnects from the internet all the time. I even think it did something to my Killer wireless in my Windows OS, because when I logged into Windows it couldn't even find the Killer card. I think this is a cheap fix for any high end WiFi card.

Is there any news yet?

adrian maurer (adrian-maurer) wrote :

I also have this issue and would like to see support for it soon. I'd prefer not to boot from VMware

Liang Chen (cbjchen) wrote :

HereH is how I am going to deal with this problem for my Alienware 13 laptop - I brought this - http://www.amazon.com/gp/product/B00DMCVKMU/ref=oh_aui_detailpage_o00_s00?ie=UTF8&psc=1 ;)

Liang Chen (cbjchen) wrote :

s/HereH/here
s/brought/bought

Markus (s-ma4l-e) wrote :

I have the same problem with a MSI GS60 and Mint 17.1 installed.

Marcus N Hofer (mnh) wrote :

Same problem here!
Print from lspci: Qualcomm Atheros Device 003e (rev 20)
Print from lsb_release: Ubuntu 14.04.1 LTS

Laptop Acer V 17 Nitro VN7-791G-72PL

Tiago Garcia (tiagojsag) wrote :

+1 with Ubuntu 14.10 on an Alienware 15 (early 2015)

Roman (romanbn) wrote :

Got the same problem.

VN7-571G-56N0
Ubuntu 14.10

Saw on this page that the Support will be added with Kernel 3.20 (https://wireless.wiki.kernel.org/en/users/drivers/ath10k), but i think Ubuntu 15.04 will be powered with 3.19... I cant wait until Ubuntu 15.10 for this :/

SaGrLand (sg-b) wrote :

Same problem on the new Yoga 3 Notebooks with 11 und 14 inch Screens.

Download full text (3.1 KiB)

I don't think the yoga comes with killer cards, does it?

On Thu, Feb 19, 2015 at 3:47 PM, SaGrLand <email address hidden> wrote:

> Same problem on the new Yoga 3 Notebooks with 11 und 14 inch Screens.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] not supported
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-37-generic N/A
> linux-backports-modules-3.13.0-37-generic N/A
> linux-firmware 1.127.7
> RfKill:
>
> Tags: trusty
> Uname: Linux 3.13.0-37-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 09/15/2014
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: E1781IMS.10D
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: MS-1781
> dmi.board.vendor: Micro-Star International Co., Ltd.
> dmi.board.version: REV:0.C
> dmi.chassis.asset.tag: To Be Filled By O.E.M.
> dmi.chassis.type: 3
> dmi.chassis.vendor: To Be Filled By O.E.M.
> dmi.chassis.version: To Be Filled By O.E.M.
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrE1781IMS.10D:bd09/15/2014:svnMicro-StarInternationalCo.,Ltd.:pnGT722QE:pvrREV0.C:rvnMicro-StarInternationalCo.,Ltd.:rnMS-1781:rvrREV0.C:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
> dmi.product.name: GT72 2QE
> dmi.product.version: REV:0.C
> dmi.sys.vendor: Micro-Star International Co., Ltd.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184/...

Read more...

Got the same problem on Acer VN7-591G-72W (model no. NX.MQLEX.036), running Ubuntu 14.04.2 LTS (GNU/Linux 3.16.0-31-generic x86_64).

lspci
07:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

 lshw -C network
  *-network UNCLAIMED
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:07:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress cap_list
       configuration: latency=0
       resources: memory:d1400000-d15fffff

Please help :) thank you lots!

SaGrLand (sg-b) wrote :

Maybe I am mistaken, but lspci on my Yoga 3 11 says:
Qualcomm Atheros Device [168c:003e] (rev 20)

Andy (apet89) wrote :

How much will it take to fix this bug?

Since I had some time I thought I'd give the latest current git kernel a go;

http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/

So its not 3.20 but its going to be, now I also added the following into lib/firmware/ath10k/ ;

https://github.com/kvalo/ath10k-firmware

Had to rename some files so that I ended up with;

maquis196@d-deridex /lib/firmware/ath10k/QCA6174/hw2.1
 % ls -alh
total 672K
drwxr-xr-x 1 root root 102 Feb 21 22:34 .
drwxrwxr-x 1 maquis196 maquis196 20 Feb 21 22:28 ..
-rw-r--r-- 1 root root 8.0K Feb 21 22:31 board.bin
-rw-r--r-- 1 root root 193K Feb 21 22:32 firmware-2.bin
-rw-r--r-- 1 root root 231K Feb 21 22:29 firmware-3.bin
-rw-r--r-- 1 root root 236K Feb 21 22:34 firmware-4.bin

but unless something I've done is wrong, the following happened when I ran "modprobe ath10k_pci";

Feb 21 22:34:28 d-deridex kernel: [ 940.205651] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
Feb 21 22:34:29 d-deridex kernel: [ 941.232006] ath10k_pci 0000:03:00.0: unable to write to the device
Feb 21 22:34:29 d-deridex kernel: [ 941.232008] ath10k_pci 0000:03:00.0: could not write otp (-110)
Feb 21 22:34:29 d-deridex kernel: [ 941.232010] ath10k_pci 0000:03:00.0: failed to run otp: -110
Feb 21 22:34:29 d-deridex kernel: [ 941.232011] ath10k_pci 0000:03:00.0: could not init core (-110)
Feb 21 22:34:29 d-deridex kernel: [ 941.232021] ath10k_pci 0000:03:00.0: could not probe fw (-110)

So eth10k might be implemented next kernel, doesn't mean our killer card will work. Hopefully its just something I've done wrong!

on further research, im probably using the wrong board.bin, the only one ive been able to find is from the hw3.0 directory. If anyone knows where hw2.1 is I'll gladly give that a spin.

kb@kb-GS60-2QE:~$ uname -a
Linux kb-GS60-2QE 4.0.0-040000rc1-generic #201502222235 SMP Mon Feb 23 03:36:28 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
kb@kb-GS60-2QE:~$ sudo lshw -c network
  *-network
       description: Ethernet interface
       product: Killer E220x Gigabit Ethernet Controller
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:04:00.0
       logical name: eth0
       version: 13
       serial: 44:8a:5b:6d:f2:01
       size: 1Gbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi msix bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=alx duplex=full ip=192.168.0.17 latency=0 link=yes multicast=yes port=twisted pair speed=1Gbit/s
       resources: irq:41 memory:f7400000-f743ffff ioport:c000(size=128)
  *-network
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:05:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=ath10k_pci latency=0
       resources: irq:31 memory:f6800000-f69fffff
kb@kb-GS60-2QE:~$

Its not the Kernel but the firmware :-( there is no firmware 2.1 existing for Linux yet :-(

Someone will have to write it or do some magic with a windows firmware...

Roman (romanbn) wrote :

I checked it. The new ath10k is definitely merged into the v4.0-rc1. Why do you need the firnware 2.1? Did you tried hw 3.0 from here: https://github.com/kvalo/ath10k-firmware ?

hw3.0 will not work, I installed Linux kernel 4.0rc1 and in dmesg I can see it asking for hw2.1 :-(
also talked to the ath10k devs...

at irc.freenode.net #ath10k

Slipie (slipiefreak) wrote :

If I look at the comments for the commit in github, it seems that this version is not very usefull at this point in time:
"The QCA6174 in combination with new wmi-tlv firmware is capable of
multi-channel, beamforming, tdls and other features.

This patch just makes it possible to boot these devices and do some basic stuff
like connect to an AP without encryption. Some things may not work or may be
unreliable. New features will be implemented later. This will be addressed
eventually with future patches."

https://github.com/kvalo/ath/commit/d63955b33b3bee45d784ffdfafeb93076c765660

@Kaare Baastrup: What did the devs say?

@Slipie that someone needed to make a firmware for rev(20) = hw2.1 or get the blob from the windows firmware.

Roman (romanbn) wrote :

In the thread Michal Kazior explains how to construct the hw2.1 from the Windows Firmware. Maybe some clever ones want to try on your own:

http://lists.infradead.org/pipermail/ath10k/2015-March/004739.html

But most important message is that theres someone working on the topic.

Michael Helten (mrhelten) wrote :

People in this thread are working on it as well (German language): http://forum.ubuntuusers.de/topic/wlan-funktioniert-unter-ubuntu-nicht-unter-win/

ApportVersion: 2.14.7-0ubuntu8.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: chevrier 2256 F.... pulseaudio
 /dev/snd/controlC1: chevrier 2256 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.10
HibernationDevice: RESUME=UUID=9200b9e7-7f21-49b9-b1ae-8e224ebe6f09
InstallationDate: Installed on 2015-03-26 (2 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
IwConfig:
 eth0 no wireless extensions.

 ppp0 no wireless extensions.

 lo no wireless extensions.
MachineType: Alienware Alienware 17 R2
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-33-generic.efi.signed root=UUID=559e03b8-44e6-49d4-a807-549bdf5aaf63 ro quiet splash
ProcVersionSignature: Ubuntu 3.16.0-33.44-generic 3.16.7-ckt7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-33-generic N/A
 linux-backports-modules-3.16.0-33-generic N/A
 linux-firmware 1.138.1
RfKill:

Tags: utopic
Uname: Linux 3.16.0-33-generic x86_64
UpgradeStatus: Upgraded to utopic on 2015-03-25 (3 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
WifiSyslog:

_MarkForUpload: True
dmi.bios.date: 02/11/2015
dmi.bios.vendor: Alienware
dmi.bios.version: A02
dmi.board.name: Alienware 17 R2
dmi.board.vendor: Alienware
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Alienware
dmi.chassis.version: A02
dmi.modalias: dmi:bvnAlienware:bvrA02:bd02/11/2015:svnAlienware:pnAlienware17R2:pvrA02:rvnAlienware:rnAlienware17R2:rvrA00:cvnAlienware:ct8:cvrA02:
dmi.product.name: Alienware 17 R2
dmi.product.version: A02
dmi.sys.vendor: Alienware

tags: added: utopic
chevrier (tc-s) wrote : AlsaInfo.txt

apport information

apport information

chevrier (tc-s) wrote : CRDA.txt

apport information

apport information

chevrier (tc-s) wrote : Lspci.txt

apport information

chevrier (tc-s) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

chevrier (tc-s) wrote : UdevDb.txt

apport information

chevrier (tc-s) wrote : UdevLog.txt

apport information

Hi! I've just bought and acer vn7-571G and have the same issues. I hope this get's solved soon :/

linhares (linhares) wrote :

Same issue here with 2015 Alienware 15". Hoping there's hope!

In the meantime, does anyone know a small USB dongle that's supported?

Mikey Orr (mikeyorr) wrote :

@linhares - Pretty much any older USB stick will work. I have a couple of the TP-LINK and Edimax ones laying around for RaspberryPi's and they worked just fine. They're a tad slow, but for $10, it's a good band-aid.

http://www.amazon.com/TP-LINK-TL-WN725N-Wireless-Adapter-150Mbps/dp/B008IFXQFU
http://www.amazon.com/Edimax-EW-7811Un-150Mbps-Raspberry-Supports/dp/B003MTTJOY

I couldn't get a 802.11ac USB stick I had to work at all, but anything 802.11n or older seems fine. :)

Roman (romanbn) wrote :

I can recommend this one as an ac-Stick:
http://www.linux-hardware-guide.com/2014-09-17-edimax-ew-7811utc-ac600-usb-wifi-dual-band-802-11ac-5ghz-802-11n-2-4ghz
It doesn't work out-of-the box, but for just 20 dollars it works nice :)

Download full text (3.8 KiB)

somewhat sad we end up having to use cheap devices... i ended up switching
back to windows - first time in 15 years!! I am also surprised someone did
not talk about a ndiswrapper type of temporary solution... that's what i
used to do back in the initial broadcom days... but now in 2015, feeling a
bit tired to go through another round of that...

On Thu, Apr 2, 2015 at 8:29 PM, Roman <email address hidden> wrote:

> I can recommend this one as an ac-Stick:
>
> http://www.linux-hardware-guide.com/2014-09-17-edimax-ew-7811utc-ac600-usb-wifi-dual-band-802-11ac-5ghz-802-11n-2-4ghz
> It doesn't work out-of-the box, but for just 20 dollars it works nice :)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] not supported
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-37-generic N/A
> linux-backports-modules-3.13.0-37-generic N/A
> linux-firmware 1.127.7
> RfKill:
>
> Tags: trusty
> Uname: Linux 3.13.0-37-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 09/15/2014
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: E1781IMS.10D
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: MS-1781
> dmi.board.vendor: Micro-Star International Co., Ltd.
> dmi.board.version: REV:0.C
> dmi.chassis.asset.tag: To Be Filled By O.E.M.
> dmi.chassis.type: 3
> dmi.chassis.vendor: To Be Filled By O.E.M.
> dmi.chassis.version: To Be Filled By O.E.M.
> dmi.modal...

Read more...

I see this bug has been going for ~5 months now. Has any progress been made?

If not, can anyone point me in the direction of somewhere to read up on how to fix it? I've never written a driver before, but I can program, I'm not a complete idiot, and I have a lot of incentive...

Sorry for what is, in some ways, a spam-post...

Using kernel 4.0 solves the problem?

@Will Pearse try contacting the persons from this maling-list http://lists.infradead.org/pipermail/ath10k/2015-March/004858.html
They are working on it via the ath10k driver/module. (try asking on irc.freenode.org #ath10k)

@Andrey Gadyukov no, as far as I understand there is both an issue with the driver(ath10k) and the firmware(needs to be converted from windows driver/firmware)

Will Pearse (will-pearse) wrote :

@Kaare thank you; just sent them an email. Fingers crossed!

diablo666 (peterjd41) wrote :

Any news on this?
I tried updating the kernel to 3.19 but didn't help.
Tried backporting ath10k, didn't work
Tried ndiswrapper too, didn't work.

(if anyone has succeeded with the above emthods please let me know, as I may have made a mistake)

Long Wei (longwei66) wrote :

Same here/ I just bought the latest Samsung ATIV 12.2 inch, the card is not detected

##### release ###########################

Distributor ID: Ubuntu
Description: Ubuntu 14.04.2 LTS
Release: 14.04
Codename: trusty

##### kernel ############################

Linux 3.16.0-34-generic #45~14.04.1-Ubuntu SMP Tue Mar 24 11:14:29 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Parameters: ro, quiet, splash, vt.handoff=7

##### desktop ###########################

Ubuntu

##### lspci #############################

01:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)
        Subsystem: Samsung Electronics Co Ltd Device [144d:4125]

BaGricek (web-zwn) wrote :

Ubuntu Vivid Vervet (development branch)
Linux version 4.0.0-040000-generic (kernel@gomeisa)

Still no luck

Jeroen (c0p3rn1c) wrote :

I found a driver on debian: https://wiki.debian.org/alx#Installation

Markus (s-ma4l-e) wrote :

Are you sure, did you tested this driver?

For me it seems that you mentioned link is for only some Qualcomm Ethernet cards?
"Qualcomm Atheros AR8161 and QCA8171 Gigabit Ethernet controllers, and the AR8162 and QCA8172 Fast Ethernet controllers."

And this bug report is about the wireless card 'Qualcomm Killer N1525 Wireless-AC [168c:003e]'. But if the driver works for this card, please let us know, maybe we can port it to Ubuntu or so...

Jose Amengual (jose-amengual) wrote :

@Jeroen those are for ethernet not wifi card and those already work in ubuntu.

mojotaker (moyofalaye) wrote :

Just wanted to add my support for a solution to this

laaag (lagged) wrote :

I got it working as described in this thread: http://lists.infradead.org/pipermail/ath10k/2015-April/004958.html
Using xubuntu (14.10 upgraded to 15.04) Anyway distro shouldn't be much different. Basically to make it working you need to do (what i did):

1. Get the windows drivers from your notebook manufacturer, in my case MSI GS60. http://download.msi.com/nb_drivers/lan/KillerSuite_1.1.49.1068_Win7_Win81-MSI.zip
2. Get the needed phyton scripts to extract windows firmware:
dissect.py https://gist.github.com/kazikcz/8e5845ad84ca251aa295
assemble.py https://gist.github.com/kazikcz/c970cbf3a863ebbc4495
3. Get kvalo's kernel tree from https://github.com/kvalo/ath

4. Unpack Killer suite and run the following commands: (run commands as root , sudo / sudo su)
python dissect.py < drivers/Production/Windows8.1-x64/k1525w81/qca61x420.bin
mkdir /lib/firmware/ath10k/QCA6174/hw2.1
python assemble.py killer-n1525-fw 0 fw-2.bin fw-1.bin 4 > /lib/firmware/ath10k/QCA6174/hw2.1/firmware-4.bin
cp drivers/Production/Windows8.1-x64/k1525w81/eeprom_qca9377_1p0_NFA435_olpc.bin /lib/firmware/ath10k/QCA6174/hw2.1/board.bin

5. Unpack kvalo's kernel and compile it with:

sudo apt-get install libncurses5-dev gcc make git exuberant-ctags

To simplify things copy your current kernel config to ath-master root folder:
cp /boot/config-`uname -r`* .config
you can configure if you want with: (not needed)
make menuconfig
then compile with: (where X is the number of cores of you processor, i used 6)
make -jX
# then take a coffee or even better a cold beer, anyway it just took about 20 minutes for me.

6. Install the new kernel:
sudo make modules_install install

7. Create config file with:
nano /etc/modprobe.d/ath10k.conf
Write to it:
options ath10k_core skip_otp=y

8. Reboot using your new kernel 4.x.x-wl-ath

9. Run ifconfig

10. Voila wlan0 should be there waiting for you, now try to connect to you AP.

If its not working try to check if you missed something, check log file (/var/log/dmesg) for more details of what failed.

Give thanks to the guys who made this possible for me: http://lists.infradead.org/mailman/listinfo/ath10k

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Roman (romanbn) wrote :

Awesome so to hear that you succeeded!
Do you have the full functionality now? (Encrypted/stable/good connection)

The compiling of a new Kernel will probably take hours on my i5-5200U so i tried it with the 4.1 rc-1 which should include nearly the newest ath10k sources (merge date 2015-04-27). Sadly Acer doesn't deliver a nice structured Wifi driver than MSI does. There are no .bin or .inf files so i tried building the new firmware with your driver too.

Sadly nothing of these actions changes anything.
The device doesn't appear at ifconfig

sudo lshw - c network :

  *-network UNGEFORDERT
       Beschreibung: Network controller
       Produkt: Qualcomm Atheros
       Hersteller: Qualcomm Atheros
       Physische ID: 0
       Bus-Informationen: pci@0000:03:00.0
       Version: 20
       Breite: 64 bits
       Takt: 33MHz
       Fähigkeiten: pm msi pciexpress cap_list
       Konfiguration: latency=0
       Ressourcen: memory:c4000000-c41fffff

Any ideas?

mindfsck (mindfsck) wrote :
Download full text (8.4 KiB)

laaag: that is really awesome. I got it working with your detailed steps, thanks a bunch!

@Roman: and I am using an Acer Aspire, where the drivers (qca61x420.bin) are all within the c:\windows\driver32 directory! So take a look.

The Wifi seems to be working now, but not for long....:

[ 5.319175] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 5.505523] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[ 5.505773] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:11ad:0804.bin failed with error -2
[ 5.505775] ath10k_pci 0000:03:00.0: failed to load spec board file, falling back to generic: -2
[ 5.505946] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 5.505948] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-5.bin': -2

...

[ 10.315505] ahci 0000:00:1f.2: port does not support device sleep
[ 14.314165] wlan1: authenticate with 00:1b:2f:61:b5:e8
[ 14.391351] wlan1: send auth to 00:1b:2f:61:b5:e8 (try 1/3)
[ 14.393075] wlan1: authenticated
[ 14.393232] ath10k_pci 0000:03:00.0 wlan1: disabling HT as WMM/QoS is not supported by the AP
[ 14.393235] ath10k_pci 0000:03:00.0 wlan1: disabling VHT as WMM/QoS is not supported by the AP
[ 14.394803] wlan1: associate with 00:1b:2f:61:b5:e8 (try 1/3)
[ 14.397284] wlan1: RX AssocResp from 00:1b:2f:61:b5:e8 (capab=0x431 status=0 aid=3)
[ 14.420679] wlan1: associated
[ 14.420709] IPv6: ADDRCONF(NETDEV_CHANGE): wlan1: link becomes ready
[ 14.552494] ------------[ cut here ]------------
[ 14.552520] WARNING: CPU: 2 PID: 0 at net/mac80211/rx.c:3578 ieee80211_rx+0x26c/0x940 [mac80211]()
[ 14.552522] Rate marked as a VHT rate but data is invalid: MCS: 10, NSS: 2
[ 14.552523] Modules linked in: ctr ccm bbswitch(OE) rfcomm bnep binfmt_misc arc4 snd_hda_codec_hdmi rtsx_usb_ms memstick rtsx_usb_sdmmc rtsx_usb ath10k_pci ath10k_core joydev ath mac80211 acer_wmi hid_multitouch sparse_keymap i915 cfg80211 intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm uvcvideo btusb crct10dif_pclmul snd_hda_codec_realtek videobuf2_vmalloc crc32_pclmul snd_hda_codec_generic videobuf2_memops btbcm ghash_clmulni_intel btintel videobuf2_core bluetooth v4l2_common videodev aesni_intel aes_x86_64 lrw gf128mul media snd_soc_rt5640 snd_hda_intel glue_helper snd_soc_rl6231 ablk_helper snd_hda_controller snd_soc_core cryptd snd_hda_codec serio_raw snd_compress snd_hda_core snd_pcm_dmaengine snd_hwdep dw_dmac snd_pcm dw_dmac_core video wmi drm_kms_helper snd_seq_midi
[ 14.552554] snd_seq_midi_event snd_rawmidi snd_seq drm snd_seq_device snd_timer i2c_hid mei_me snd hid snd_soc_sst_acpi nls_iso8859_1 shpchp mei parport_pc lpc_ich 8250_dw spi_pxa2xx_platform i2c_designware_platform i2c_designware_core acpi_pad soundcore soc_button_array ppdev mac_hid i2c_algo_bit lp parport r8169 ahci sdhci_acpi sdhci libahci mii
[ 14.552571] CPU: 2 PID: 0 Comm: swapper/2 Tainted: G OE 4.1.0-rc1-wl-ath #1
[ 14.552573] Hardware name: Acer Aspire VN7...

Read more...

David L (2-ubunjuone-0) wrote :

Laaag's method works for me using a MSI GS60 running Ubuntu 14.10. I have a working ath10k for Wifi, however Bluetooth does not work still.

I ran the commands exactly as provided which resulted in a 4.1 kernel:

4.1.0-rc1-wl-ath+

dlight@superaquilo:~$ dmesg |grep ath
[ 0.000000] Linux version 4.1.0-rc1-wl-ath+ (root@superaquilo) (gcc version 4.9.1 (Ubuntu 4.9.1-16ubuntu6) ) #1 SMP Thu Apr 30 11:10:50 PDT 2015
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.1.0-rc1-wl-ath+ root=UUID=0af4ea41-56bb-4cc0-a448-a825d1dd4e0f ro quiet splash
[ 0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.1.0-rc1-wl-ath+ root=UUID=0af4ea41-56bb-4cc0-a448-a825d1dd4e0f ro quiet splash
[ 2.516095] usb usb1: Manufacturer: Linux 4.1.0-rc1-wl-ath+ xhci-hcd
[ 2.518646] usb usb2: Manufacturer: Linux 4.1.0-rc1-wl-ath+ xhci-hcd
[ 2.532592] usb usb3: Manufacturer: Linux 4.1.0-rc1-wl-ath+ ehci_hcd
[ 2.548632] usb usb4: Manufacturer: Linux 4.1.0-rc1-wl-ath+ ehci_hcd
[ 2.570356] Loaded X.509 cert 'Magrathea: Glacier signing key: f1d75de98d36e6c6e95d2b2cf22efa9f1b34c2c0'
[ 14.529571] ath3k: probe of 3-1.3:1.0 failed with error -11
[ 14.529593] usbcore: registered new interface driver ath3k
[ 17.938639] ath10k_pci 0000:05:00.0: enabling device (0000 -> 0002)
[ 17.939400] ath10k_pci 0000:05:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 18.130221] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/cal-pci-0000:05:00.0.bin failed with error -2
[ 18.130224] ath10k_pci 0000:05:00.0: Falling back to user helper
[ 18.130851] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 18.130855] ath10k_pci 0000:05:00.0: Falling back to user helper
[ 18.131272] ath10k_pci 0000:05:00.0: failed to load spec board file, falling back to generic: -11
[ 18.146337] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 18.146341] ath10k_pci 0000:05:00.0: Falling back to user helper
[ 18.146735] ath10k_pci 0000:05:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-5.bin': -11
[ 19.346427] ath10k_pci 0000:05:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw killer-n1525-fw api 4 htt 3.0 wmi 4 cal otp max_sta 32
[ 19.346432] ath10k_pci 0000:05:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 19.420001] ath: EEPROM regdomain: 0x6c
[ 19.420003] ath: EEPROM indicates we should expect a direct regpair map
[ 19.420005] ath: Country alpha2 being used: 00
[ 19.420006] ath: Regpair used: 0x6c
[ 19.484468] ath10k_pci 0000:05:00.0 wlan3: renamed from wlan0

While there are errors logged, I've been connected via Wifi for 20+ minutes without a drop yet.

Jordan Dawson (x9a3k) wrote :

I'm still having an issue with my Alienware 13 with xubuntu 14.04. I tried Laaag's method with both the MSI and Alienware drivers to no avail.

The logs were showing "Firmware Crashed" earlier but now shows the attached.

I've also tried on both the latest stable kernel (4.0.1) and the latest Release Candidate (4.1-rc1).

I've got wifi going with the following dongle http://www.dx.com/p/ultra-mini-nano-usb-2-0-802-11n-150mbps-wifi-wlan-wireless-network-adapter-48166 in the meantime.

Hopefully there is a solid fix for this soon.

Jordan Dawson (x9a3k) wrote :

Just an update, I rebooted without the dongle plugged in and get the previous error messages.
I've attached the error log.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → Confirmed
status: Confirmed → In Progress
status: In Progress → Confirmed
Jose Amengual (jose-amengual) wrote :

Fix committed where ? is there a ubuntu kernel patched already ?

I follow the instructions from @laaag and now I have wireless in my MSI 2QE killer 1525.

My problem withcompiling the kernel are the Nvidia packages, looks like they are not yet compatible with 4.x.

Sumit Khanna (notify-8) wrote :

I followed the instructions from comment #115 and my ath10k now works perfectly on my MSI WS-60 laptop (running Gentoo).

Per Jose (comment #121) I had no problem compiling the nvidia driver package or the bbswitch package against the kvalo/ath kernel fork. (the closed source nvidia-drivers-349.16 with bbswitch-0.8).

Per David L in #118, I believe this bug is only for the Wi-Fi (ath10k) driver/firmware. At least on my laptop, the Wi-fi/Bluetooth isn't combined (on my MSI, it uses the ath3k bluetooth; same firmware issue we have with the Wi-fi; do a search and you'll see similar mailing list threads -- actually they may be combined; who knows they might be on the same chip -- but anyway they have two different drivers/firmware).

I don't know what the licensing issues are with firmware. Can I fork kvalo's ath-firmware repo on github and commit the ones created using the above Python scripts? If so I'll try and do that tomorrow.

Some other notes: I only got this working as a kernel module; built-in didn't work (wasn't sure how to pass in skip_otp=y via kernel args... tried ath10k_core.skip_otp=y, ath10k.skip_otp=7; ath10k_pci.skip_otp=y ... but that was with the 4.0.0-gentoo sources and not the kvalo fork...so there might be stuff in that fork that isn't in official yet? Haven't tried built-in with kvalo's. I might do that later).

THuis (medspec) wrote :

Good that the results are positive! But when will this reach the mainstream kernel?

not to push, just need to know to deside if i should run this kernel..

Sumit Khanna (notify-8) wrote :

I've added the firmware to a fork of ath10k and sent a pull request:

https://github.com/sumdog/ath10k-firmware

THuis (medspec) wrote :

ok great. hopefully it will get picked up soon

Răzvan (razvandrt) on 2015-05-08
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
mojotaker (moyofalaye) wrote :

sorry to ask the obligatory dumb question, but what do we lay people have to do now to get the drivers. For example in Ubuntu ?

Thanks

Download full text (3.6 KiB)

indeed - and i tried to follow the instructions and compile the kernel as
indicated, but ended up being told lots of files missing (mostly header
files). of course, i tried to download the linux headers and other stuff i
thought was relevant, but that didn't really help. :-( sorry for being
obviously not as intelligent as others on this list - and i don't mean to
waste your time, to the contrary, i appreciate all the help provided thus
far.

On Fri, May 8, 2015 at 6:54 PM, mojotaker <email address hidden>
wrote:

> sorry to ask the obligatory dumb question, but what do we lay people
> have to do now to get the drivers. For example in Ubuntu ?
>
> Thanks
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] not supported
>
> Status in linux package in Ubuntu:
> Fix Released
>
> Bug description:
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-37-generic N/A
> linux-backports-modules-3.13.0-37-generic N/A
> linux-firmware 1.127.7
> RfKill:
>
> Tags: trusty
> Uname: Linux 3.13.0-37-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 09/15/2014
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: E1781IMS.10D
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: MS-1781
> dmi.board.vendor: Micro-Star International Co., Ltd.
> dmi.board.version: REV:0.C
> dmi.chassis.asset.tag: To Be Filled By O.E.M.
> dmi.chassis.type: 3
> dmi.chassis.vendor: To Be Filled By O.E.M.
> dmi.chassis.version: To Be Filled By O.E.M...

Read more...

Workaround is not working for me at all:

[ 2995.551279] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2995.737586] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[ 2996.915559] ath10k_pci 0000:03:00.0: firmware crashed! (uuid 3ad71d9a-8fd2-43b9-ae4c-c8ee9d7ed375)
[ 2996.915571] ath10k_pci 0000:03:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff) fw killer-n1525-fw api 4 htt 0.0 wmi 4 cal otp max_sta 32
[ 2996.915574] ath10k_pci 0000:03:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 2996.917595] ath10k_pci 0000:03:00.0: firmware register dump:
[ 2996.917597] ath10k_pci 0000:03:00.0: [00]: 0x05010000 0x000015B3 0x0095186B 0x00955B31
[ 2996.917599] ath10k_pci 0000:03:00.0: [04]: 0x0095186B 0x00060130 0x00000010 0x0040AF04
[ 2996.917610] ath10k_pci 0000:03:00.0: [08]: 0x00000018 0x00000001 0x00000001 0x00412250
[ 2996.917612] ath10k_pci 0000:03:00.0: [12]: 0x00000009 0x00000000 0x0096C09C 0x0096C0A7
[ 2996.917613] ath10k_pci 0000:03:00.0: [16]: 0x0096BDBC 0x009286B6 0x00000000 0x00000000
[ 2996.917615] ath10k_pci 0000:03:00.0: [20]: 0x4095186B 0x0040E160 0x0041F86C 0x00000001
[ 2996.917616] ath10k_pci 0000:03:00.0: [24]: 0x80936238 0x0040E1C0 0x00000000 0xC095186B
[ 2996.917618] ath10k_pci 0000:03:00.0: [28]: 0x80936361 0x0040E1E0 0x00000000 0x0041C91C
[ 2996.917619] ath10k_pci 0000:03:00.0: [32]: 0x80934A67 0x0040E200 0x00436DF0 0x0040E250
[ 2996.917620] ath10k_pci 0000:03:00.0: [36]: 0x809A606A 0x0040E250 0x00427608 0x00000001
[ 2996.917622] ath10k_pci 0000:03:00.0: [40]: 0x809A60C2 0x0040E290 0x00426F98 0x00000004
[ 2996.917623] ath10k_pci 0000:03:00.0: [44]: 0x809A61A2 0x0040E2B0 0x00426F98 0x0041C91C
[ 2996.917625] ath10k_pci 0000:03:00.0: [48]: 0x800A0909 0x0040E2D0 0x00426F98 0x004275F8
[ 2996.917626] ath10k_pci 0000:03:00.0: [52]: 0x800A024A 0x0040E2F0 0x0041ABF0 0x00420460
[ 2996.917627] ath10k_pci 0000:03:00.0: [56]: 0x809287D9 0x0040E310 0x00000000 0x00400000
[ 2997.908111] ath10k_pci 0000:03:00.0: failed to receive control response completion, polling..
[ 2998.908137] ath10k_pci 0000:03:00.0: ctl_resp never came in (-110)
[ 2998.908143] ath10k_pci 0000:03:00.0: failed to connect to HTC: -110
[ 2998.984611] ath10k_pci 0000:03:00.0: could not init core (-110)
[ 2998.984651] ath10k_pci 0000:03:00.0: could not probe fw (-110)
[ 2998.992144] ath10k_pci 0000:03:00.0: cannot restart a device that hasn't been started

lspci -nn |grep 003e
03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

modinfo ath10k_pci |grep 003E
alias: pci:v0000168Cd0000003Esv*sd*bc*sc*i*

uname -a
Linux antracite 4.1.0-040100rc2-generic #201505032335 SMP Mon May 4 03:36:35 UTC 2015 x86_64

laaag (lagged) wrote :

Hello,

Happy to read other people succeeded.
For me it's working fine, not fully stable yet but it works without problems regardless of the AP and encryption method used.
(currently writing from notebook using the killer card connected to WPA2 Enterprise net with TLS)

Active development of ath10k is done here : https://github.com/kvalo/ath so everyone who would like to get it working must use the updated sources from that git.
Either you follow the steps to compile the full ath kernel (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184/comments/115) or manually patch compile all the needed driver/modules for your current kernel if you know how.

[ 2996.915559] ath10k_pci 0000:03:00.0: firmware crashed! (uuid 3ad71d9a-8fd2-43b9-ae4c-c8ee9d7ed375)
is a clear indicator that you are still using unpatched driver.

Mainstream kernel from ubuntu hasn't been patched and I guess it will take some more time, so that is the only way of getting qca6174 card working for the moment.

You can use the firmware already assembled for linux from sumdog's git: https://github.com/sumdog/ath10k-firmware
If somebody still getting problems with that firmware, just get your driver from your manufacturer or directly from killernetworking.com then install it using wine or under windows and get the bins from %system32% folder.
There might be some differences in hardware so test with different board.bin until you get it working.

People with problems compiling kernel, i don't know what's your problem, read docs about compiling kernel, if you just need the ath kernel headers just do a:
$ sudo make headers_install

Good luck!

P.S: Please report problems here: http://lists.infradead.org/mailman/listinfo/ath10k they will help you better.

This might sound kinda weird and I'm not sure if it's the right place to post it but here it goes.

I have an MSI GS60 2QD and after using the workaround posted in #115 wifi started working perfectly. So awesome that and thanks :D.

Now the weird part... I have two Nexus 5 phones at home and whenever my laptop is running Linux and the newly enabled wifi is on both phones lose connectivity. I checked if there were any conflicting IP assigned but no and it only happens in Linux with these new drivers. This behavior doesn't appear when the computer has booted into Windows and is connected and it didn't appear when I was using a USB-WiFi dongle with my Linux install.

Basically it's like this:
Laptop running Windows using the official Killer drivers - Everything works great.
Laptop running Linux using the custom kernel/workaround with the drivers - WiFi on - Phones are unable to connect to the same WiFi AP. If I turn WiFi off on the laptop the phones immediately connect back.

Has anyone else noticed anything like this with their phones or other WiFi connected devices?.

Eduardo Costa (d-eu-k) wrote :
avallete (avallete) wrote :

@Nicolas Reymundo

Yeah, I have exactly the same issue. And my laptop is MSI GS60-2QE.

@Eduardo Costa

I read this and I have to admit I understood moderately. It seems they have released a patch but where to get it and how to apply it remains a mystery to me. So if someone who had the same problem and have managed to solve willing to share his method I'm interested.

Eduardo Costa (d-eu-k) wrote :

@avallete

You can find the patch here: https://patchwork.kernel.org/patch/6387631/raw/
I haven't tested it yet but Anton Romanov reported that it should fix the issue.

If you followed laaag instruction from comment #115, like me, apply patch just before make command:
$ wget https://patchwork.kernel.org/patch/6387631/raw/ -O amth10k-fix-promisc-handling.patch
$ git apply amth10k-fix-promisc-handling.patch
(I'v used git to fetch the repo)

Roman (romanbn) wrote :

@ avallete
You can get the patch here : https://patchwork.kernel.org/patch/6387631/ take a look at the download on top of the side.
I also added it to this post.

Sadly you can just patch the source code so (1) you have to get the ath-master
and (2) patch it with the patch command:

patch < /PATH/TO/PATCH/FILE/amth10k-fix-promisc-handling.patch

then you have to enter the path to the mac.c file in your fresh ath-master. Inside the Kernel its located
/drivers/net/wireless/ath/ath10k/mac.c here.

(3) you have to go on with compiling your new kernel like described from laaag.

I didnt test it yet, so i cannot say if it really fixes this issue.

avallete (avallete) wrote :

Thank you so much for your quick answer!

The Eduardo Costa method works fine !
And in bonus I had a connectivity, power increase before I had 65% connection power, and now I have 95% of the connectivity power in same place.

So thank you very much for your help !

@laaag, I'm getting firmware crashed even though I compilied the ath-kernel. (uname -r reports 4.1.0-rc3-vanillaice-wl-ath+), does this happen outside of the patches?

Just curious because obviously with the firmware crashing wireless is basically unusable, are the set of patches I care about in the master branch?

Cheers!

Mahi (mahi) wrote :

Thanks @laag. I followed the steps #115 and it worked on my Alienware 13 Ubuntu 14.04 kernel 3.16 . Although the touchpad stopped working after the installation but later found a solution for that as well.

Berto Gomez (bertogs) wrote :

Any idea on what kernel release will this fix make it to?

Kálmán, Ferenc (fkalman) wrote :

The status is "Fix Released". I don't understand why. It is not released at all. (There isn't fixed in any kernel version, is it there?)

@Mahi I undestand that this is probably bad place to ask, but how did you fixed touchpad problem? I'm using debian testing with kernel 3.16 so I think I experience same issue.

Jeric Bryle Dy (jeric) wrote :

I have the same question as fkalman. I've updated Ubuntu, but it still doesn't detect at all.

Brian Murray (brian-murray) wrote :

This is not fixed in the version of the kernel included in Ubuntu for any release yet.

Changed in linux (Ubuntu):
status: Fix Released → Triaged
Jose Amengual (jose-amengual) wrote :

but is it in 4.0 or 4.1 or is it going to be ?

could someone point me to the git repo for 4.1 and 4.0 ?

Thanks.

tags: added: patch
Xin (siliuxin) wrote :

Welp, I'm kinda new to Linux. In #115, Laaaag mentioned ath-master root folder. Can someone tell me where is that? Stuck on step for now :(

laaag (lagged) wrote :

I'm running kernel 4.0.0-wl-ath without major issue, almost fully stable for me.

However i tested 4.1.0-rc2-wl-ath or rc3, i don't remember exactly and noticed the disconnection issue on devices near my laptop radius regardless of which AP was connected, even applying the promisc patch.

Now there is version rc5, if someone test please report if it's working better, anyway i will wait for stable release of 4.1

@Xin, after you unpack ath-master.zip change directory where you unpacked it.
for example:

cd /home/your_username/Desktop/ath-master

and better than doing a copy of the current kernel config (cp /boot/config-`uname -r`* .config)
skip that command and do this instead:

make localmodconfig

it will make .config file according to your actual running modules/drivers and avoid compilation of unused ones.

It's also good if you guys enable ath10k debug mode to help developers better identify the problems.

Xin (siliuxin) wrote :

@Eduardo @laaag Thanks for the help. This is my second week on linux.
But somehow I got following error.
xin@xin-Alienware-15:~/Downloads/ath-master$ make localmodconfig
using config: '/boot/config-3.17.0-031700-generic'
Can't open drivers/gpu/drm/tegra/Kconfig at scripts/kconfig/streamline_config.pl line 173, <> line 211.
make[1]: *** [localmodconfig] Error 36
make: *** [localmodconfig] Error 2

I tried the same command and copying as well in sudo and sudo su. I still got the same results.
I downloaded the zip file at: https://codeload.github.com/kvalo/ath/zip/master
I also dont exactly get the idea of step 3. Get kvalo's kernel tree.
What does that suppose to mean? Sorry for asking some obvious questions. :P

And thanks for your time and effort for solving the problem :)

emielke (emielke) wrote :

Having the same problem on Lenovo Edge 15

Having the same problem on a Lenovo Edge 15

  *-network UNCLAIMED
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: latency=0
       resources: memory:e4000000-e41fffff

02:00.0 Network controller: Qualcomm Atheros Device 0041 (rev 20)
 Subsystem: Lenovo Device 3545
 Flags: bus master, fast devsel, latency 0, IRQ 255
 Memory at e4000000 (64-bit, non-prefetchable) [size=2M]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/8 Maskable+ 64bit-
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [148] Virtual Channel
 Capabilities: [168] Device Serial Number 00-00-00-00-00-00-00-00
 Capabilities: [178] Latency Tolerance Reporting
 Capabilities: [180] L1 PM Substates

Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)

Add my laptop to the list of Laptops that have this wifi card:

System Information
 Manufacturer: LENOVO
 Product Name: 80FG
 Version: Lenovo Z70-80
 Wake-up Type: Power Switch
 SKU Number: LENOVO_MT_80FG_BU_idea_FM_Lenovo Z70-80
 Family: IDEAPAD

03:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)
 Subsystem: Lenovo Device 3044
 Flags: bus master, fast devsel, latency 0, IRQ 10
 Memory at c4000000 (64-bit, non-prefetchable) [size=2M]
 Capabilities: <access denied>

Dev (deviskec) wrote :

Works perfectly on my MSI GS70. This are the steps that I followed:

1. Download

https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/board.bin

and put it in the /lib/firmware/ath10k/QCA6174/hw2.1/ folder (create the folder if it doesnt exist)

2. Download

https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/firmware-4.bin

and put it in the /lib/firmware/ath10k/QCA6174/hw2.1/ folder

3. Install dependencies to be able to compile the kernel with:

sudo apt-get install libncurses5-dev gcc make git exuberant-ctags

4. Download kvalo's kernel tree from:

https://github.com/kvalo/ath/archive/master.zip

and extract it to a folder (no need to apply any patch, it's been merged already).

5. Navigate to the extracted folder and run the following commands:

cp /boot/config-`uname -r`* .config

make -jX (where X is the number of processor cores, in my case 8)

(wait a while for it to compile, and after run)

sudo make modules_install install

6. Create config file with:

sudo gedit /etc/modprobe.d/ath10k.conf

and put the following contents into the file:

options ath10k_core skip_otp=y

7. Reboot using your new kernel 4.x.x-wl-ath

8. Run ifconfig

Works perfectly without any drops. Would be nice that people who succeed comment on the following PR:

https://github.com/kvalo/ath10k-firmware/pull/2

so we can get this merged to mainstream kernel.

Ming (ming-tai-ha) wrote :

Hey, I've been following the instruction in comment #115. I've got up to step 5
and when I run the command make -jX, I get the following output.

scripts/kconfig/conf --silentoldconfig Kconfig
drivers/media/rc/Kconfig:346: can't open file "drivers/media/rc/img-ir/Kconfig"
make[2]: *** [silentoldconfig] Error 1
make[1]: *** [silentoldconfig] Error 2
make: *** No rule to make target `include/config/auto.conf', needed by `include/config/kernel.release'. Stop.
make: *** Waiting for unfinished jobs....

Is anyone else getting trouble building the kernel?

GregP (gregp) wrote :

the solution described by Dev in comment #150 works for me without any drops or other serious issues but the wi-fi performance is only about 35%-40% of the performance on windows on the same machine downloading the same file from the same server .
Is there any chance (intention) to optimize the performance of the ath10k driver ?

Jane Doe (tsubasa) wrote :

Hello everyone,
I followed the steps in #150, and after entering the "make -jX" command, I get asked a lot of things I don't understand, it's the first time I am compiling a kernel.
Is this how it should be? I just pressed enter on everything, since I guess this sets up the default values...?

I'm running Ubuntu 15.04 on an Acer Aspire VN7-571G (dual-boot with Windows 8.1).
I entered "make -j4", I have the Intel Core i7-5500U 2.4 which has 2 cores but is able to "behave like it had 4 cores". Should I've been entering "make -j2" instead?

I'm having the same issue as #151.
Followed the directions in #150, I don't know what I've done wrong.

Ming (ming-tai-ha) wrote :

Hey, I figured out my problem. Turns out that some of the header files and code were broken (had a padlock on the icon) or were missing altogether. I made new copies of the file with the same code and formatting. After that, there were no problems running the command: make -jX

@Jane Doe, Isaiah:
I found this thread that may address your concern. I originally had to answer the questions as well. But I ran the command

make olddefconfig

before running

make -jX.

Here's the thread in which your problem may be addressed. (Note, I used the second post)
http://serverfault.com/questions/116299/automatically-answer-defaults-when-doing-make-oldconfig-on-a-kernel-tree

My wireless card is working now. Thanks everyone.

Jane Doe (tsubasa) wrote :

@Ming: Thanks a lot for the link, I got wifi working now!

Sadly, my touchpad stopped working after executing one of the steps to compile the new kernel.

What makes me wonder about this is that the touchpad isn't working anymore under Windows as well... coincidence or not?

Pelle Johnsen (pelle-johnsen) wrote :

Wifi working here too on MSI GS60, wohoo :)

I also got latest nvidia-352 from xorg-edgers building and working with the modified kernel, if anyone else should need that.

@Jane Doe: I faced same problem with touchpad, but I suspect that the problem is newest
kernel version. It doesn't work with Debian Testing (kernel 3.16) but works with Debian Stable
and Ubuntu 14 ( kernel ~ 3.2). And it still works on Windows for me.
In #137 Mahi mentioned that he some how solved this problems, but no information on how
he did that.

Jane Doe (tsubasa) wrote :

yaah, the touchpad not working on Windows was kind of my bad... It was simply disabled and I could enable it with the function-keys on my keyboard lol. Didn't have that key on my old laptop so I didn't even know it existed until I did some further research.
But it's still not working with Ubuntu, unfortunately.

Josh Taylor (jtaylor231) wrote :

Hehe, been a while since hardware didn't work out of the box (or via easy to install drivers) for Ubuntu, that's what I get for buying the latest laptop network card I guess.

#150 works perfectly and wifi works. Will report back stats.

Josh Taylor (jtaylor231) wrote :

So the network speed is reported as 1 Mb/s through network manager, but the speed is a bit faster than that on speedtest.net (about 10mbit) . I'm also not getting great reported signal.

Jeric Bryle Dy (jeric) wrote :

Hi, I have the same problem with #151.

scripts/kconfig/conf --silentoldconfig Kconfig
drivers/media/pci/Kconfig:46: can't open file "drivers/media/pci/mantis/Kconfig"
make[2]: *** [silentoldconfig] Error 1
make[1]: *** [silentoldconfig] Error 2
make: *** No rule to make target `include/config/auto.conf', needed by `include/config/kernel.release'. Stop.
make: *** Waiting for unfinished jobs....

@ming, how exactly did you resolve the missing files?

OdelPasso (berillions) wrote :

I have a question :

- To install the new kernel, we must to launch this command :
sudo make module_install install

But to uninstall the kernel when the stable version will release, which command i must to use ?
I tried with "make uninstall" in the source repo but the command failed.

Thanks

Rob (fynesr) wrote :

@jeric I had the same problem. Those broken files (you'll prob come across more than one) are symlinks but the targets are non-existent. The targets are actually the content of what the files should be.

Use nautilus or whatever file explorer your using, go to the broken file directory, and try to open it.
A dialog will appear saying something like:

    The file "[actual file contents]" doesn't exist.

...asking if you want to move the file to trash. Copy everything between the double quotes and put it into a new file in that same directory. The new file should have the same name as the broken file, so give it a temporary name, save it, delete the broken file and rename the temp file to what it should be (or just delete the broken file before you create the fixed file).

You can do it from the command line too if you want e.g. ls -lh /path/to/broken/file and you'll see the intended content of the file showing up as the symlink target.

I had to do this for 3 files before the make command would kick off properly.

Rob (fynesr) wrote :

Incidentally, you should probably find and fix all those broken symlinks first to save yourself from having to keep stopping and starting the make command everytime it chokes on one of them. Run something like:

    find . -type l -! -exec test -e {} \; -print

...and then go fix them.

Rob (fynesr) wrote :

I'm hitting the following error during the make -jX command:

net/nfc/nci/core.c:40:25: fatal error: net/nfc/nci.h: No such file or directory
 #include <net/nfc/nci.h>

It's not a broken symlink, that file just doesn't exist. Can anyone help?

Ignacio Tartavull (tartavull) wrote :

Same issue with Alienware 17 r2.

Jeric Bryle Dy (jeric) wrote :

@rob, I get this when I check the link:

$ ls -l drivers/media/pci/mantis/Kconfig
lrwxrwxrwx 1 jeric jeric 1.3K Jun 13 15:02 drivers/media/pci/mantis/Kconfig -> config MANTIS_CORE??tristate "Mantis/Hopper PCI bridge based devices"??depends on PCI && I2C && INPUT && RC_CORE???help?? Support for PCI cards based on the Mantis and Hopper PCi bridge.??? Say Y if you own such a device and want to use it.??config DVB_MANTIS??tristate "MANTIS based cards"??depends on MANTIS_CORE && DVB_CORE && PCI && I2C??select DVB_MB86A16 if MEDIA_SUBDRV_AUTOSELECT??select DVB_ZL10353 if MEDIA_SUBDRV_AUTOSELECT??select DVB_STV0299 if MEDIA_SUBDRV_AUTOSELECT??select DVB_LNBP21 if MEDIA_SUBDRV_AUTOSELECT??select DVB_STB0899 if MEDIA_SUBDRV_AUTOSELECT??select DVB_STB6100 if MEDIA_SUBDRV_AUTOSELECT??select DVB_TDA665x if MEDIA_SUBDRV_AUTOSELECT??select DVB_TDA10021 if MEDIA_SUBDRV_AUTOSELECT??select DVB_TDA10023 if MEDIA_SUBDRV_AUTOSELECT??select DVB_PLL??help?? Support for PCI cards based on the Mantis PCI bridge.?? Say Y when you have a Mantis based DVB card and want to use it.??? If unsure say N.??config DVB_HOPPER??tristate "HOPPER based cards"??depends on MANTIS_CORE && DVB_CORE && PCI && I2C??select DVB_ZL10353 if MEDIA_SUBDRV_AUTOSELECT??select DVB_PLL??help?? Support for PCI cards based on the Hopper PCI bridge.?? Say Y when you have a Hopper based DVB card and want to use it.??? If unsure say N?

Rob (fynesr) wrote :

@jeric yeah, that's the content that should be in the file. But actually, DON'T copy and what you see from ls -lh /the/file, because you'll loose the formatting. The dialog that pops up from your link, right click that and select all and copy, then paste it into a new file. Don't forget to remove the text

    This link cannot be removed because its target"

...from the first line and remove the last line too.

Rob (fynesr) wrote :

I've downloaded the most current stable linux kernel (4.0.5) and also the most recent longterm build (3.18.14).

Neither of these have the file net/nfc/nci.h
make -jX is failing for me because that file is missing:

net/nfc/nci/core.c:40:25: fatal error: net/nfc/nci.h: No such file or directory

Is that file autogenerated during make, and if it is, why isn't it being generated for me?
And why is it that others have (or don't need) this file?

Josh Taylor (jtaylor231) wrote :

Just FYI, I seem to get much better performance over 5ghz compared to 2.4ghz with this card. Not sure if it's the routers I have tested (A couple of DLinks and Netgear), but I can max out my net with the 5ghz (speedtest.net reports 104mbit).

Kálmán, Ferenc (fkalman) wrote :

@Rob
"net/nfc/nci/core.c:40:25: fatal error: net/nfc/nci.h: No such file or directory"

Are you using kvalo's kernel?

"4. Download kvalo's kernel tree from:
https://github.com/kvalo/ath/archive/master.zip"

Rob (fynesr) wrote :

Yep, I am using kvalo's kernel. I've been following instructions from comment #150.

Alexis (trockers) wrote :

Hi,

When I follow #150 instruction, I have an error during make modules_install install:

DEPMOD 4.1.0-rc7-wl-ath
sh ./arch/x86/boot/install.sh 4.1.0-rc7-wl-ath arch/x86/boot/bzImage \
  System.map "/boot"
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.1.0-rc7-wl-ath /boot/vmlinuz-4.1.0-rc7-wl-ath
run-parts: executing /etc/kernel/postinst.d/dkms 4.1.0-rc7-wl-ath /boot/vmlinuz-4.1.0-rc7-wl-ath
ERROR (dkms apport): binary package for 8192cu: 1.9 not found
Error! Bad return status for module build on kernel: 4.1.0-rc7-wl-ath (x86_64)
Consult /var/lib/dkms/8192cu/1.9/build/make.log for more information.

I attach the file.
Anybody can help me?
Thanks.

Winfried Pohl (winfried-pohl) wrote :

@Rob: Thanks to your advice I could avoid the errors according to #162, but I am ending up at the same problem as you described in #166! Has somebody any idea to solve this?

Ignacio Tartavull (tartavull) wrote :

I emailed Killer Network Support, the answered:

Thank you for your email. We have worked with Qualcomm to verify linux drivers for teh Killer 1525. We have seen it work, and are awaiting the open source/linux community to accept the 6174 2.x ath10k firmware so that it is posted and available for everyone.

Once the ath10k firmware has been updated, there should be no issue loading the ath10k drivers.

ath10k drivers are here: https://github.com/kvalo/ath
ath10k firmware is here: https://github.com/kvalo/ath10k-firmware

Regards,

Thomas
Killer Networking

Jeric Bryle Dy (jeric) wrote :

I guess it's just a matter of time then. My wifi dongle should suffice while I wait.

GregP (gregp) wrote :

Does anybody know if the drivers are already merged into the new mainline 4.1 ubuntu kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1-unstable/ ? And , if not, which kernel version is it planned for ?

Winfried Pohl (winfried-pohl) wrote :

@ GregP: No., they are not yet contained in the new kernel 4.1, unfortunately.

Rob (fynesr) wrote :

Can anyone who is familiar with working on kernel updates give a rough estimate as to when they think this fix could be merged into a mainline release. I don't mean an exact estimate, but are we talking about weeks, months or years?

JJ (pexison) wrote :

+1 @Rob

JJ (pexison) wrote :

#150 does not work for me. (Ubuntu 15.04 / Alienware 13)

GregP (gregp) wrote :

@JJ The current version of kvalo's tree seems to be under development at the moment. The kernel compiles but the ath10k driver cannot be loaded.
The previous version - based on 4.1-rc7 kernel - works without any major issues.

John Vrbanac (john.vrbanac) wrote :

This issue also affect the Samsung ATIV Book 9 13.3-Inch (NP900X3K-K01US)

01:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)
 Subsystem: Samsung Electronics Co Ltd Device 4125
 Flags: bus master, fast devsel, latency 0, IRQ 47

GregP (gregp) wrote :

I fixed the issue locally on my copy of kvalo's tree following the patch described here http://lists.infradead.org/pipermail/ath10k/2015-July/005577.html and compiled the kernel . The driver works now :)

Slipie (slipiefreak) wrote :

I got wifi working with the instructions of #150 and additional info of #186.
To get my Nvidia GTX 970m working, I am using the drivers (352) from https://launchpad.net/~mamarley/+archive/ubuntu/nvidia.
The drivers from xorg-edgers did not work for me.

Aydin K. (akocas) wrote :

Can someone of those who got it working write a little howto (including commands) for the rest of the world? Not everybody in the linux-world knows (or maybe wants to know) how to compile a kernel :-)

Slipie (slipiefreak) wrote :

#Make a work folder:
mkdir ~/ath10k

#Download all files in this folder:
cd ~/ath10k
wget https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/board.bin
wget https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/firmware-4.bin
wget https://github.com/kvalo/ath/archive/master.zip

#Create folder for firmware and copy the files:
sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw2.1/
sudo cp board.bin /lib/firmware/ath10k/QCA6174/hw2.1/
sudo cp firmware-4.bin /lib/firmware/ath10k/QCA6174/hw2.1/

#Install build dependencies:
sudo apt-get install libncurses5-dev gcc make git exuberant-ctags

#Unzip the master.zip and copy current config:
unzip master.zip
cd ath-master
cp /boot/config-`uname -r`* .config

#Edit file for correct indicator address:
sudo vi drivers/net/wireless/ath/ath10k/hw.c
#Search for 0x00009028 and replace with 0x0003a028

#Build new kernel:
make olddefconfig
make -jX (replace X with the number of cpu's)
#(This is going to take very long)

#Install the new kernel:
sudo make modules_install install
#(This is going to take even longer)

#Create config for the driver:
sudo vi /etc/modprobe.d/ath10k.conf
#Add "options ath10k_core skip_otp=y" to this file

#Optional if you have an NVIDIA graphics card:
sudo add-apt-repository ppa:mamarley/nvidia
sudo apt-get update
sudo apt-get install nvidia-352

#Reboot your system

#Verify with "ifconfig -a" or just from your network manager that the card is recognized.

Milo (milo-x) wrote :

So I've copied deviskec post and fixed the recent breakage due to the merge of ominous 'ath-next' branche which broke ath10k.

1. Download the firmware binaries

https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/board.bin
https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/firmware-4.bin

and put them in the /lib/firmware/ath10k/QCA6174/hw2.1/ folder (create the folder if it doesnt exist)

Commands:

sudo mkdir -p /lib/firmware/ath10k/QCA6174/hw2.1/
sudo wget https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/board.bin -O /lib/firmware/ath10k/QCA6174/hw2.1/board.bin
sudo wget https://github.com/sumdog/ath10k-firmware/raw/5faf5bb7c7413f9bb332693179de54cca6fff58e/ath10k/QCA6174/hw2.1/firmware-4.bin -O /lib/firmware/ath10k/QCA6174/hw2.1/firmware-4.bin

2. Install dependencies to be able to compile the kernel with:

sudo apt-get install libncurses5-dev gcc make git exuberant-ctags

3. Download kvalo's kernel tree from:

https://mega.nz/#!9A8UTLLL!7CDjBmSwNTudX9Upz6yRk7BabKE4w2J8_GCwLrKh27c
NB: I could find a link to the correct, RC7 zip. Perhaps it's already fixed in the master branch, otherwise use my uploaded mega link

and extract it to a folder (no need to apply any patch, it's been merged already).

NB: I couldn't get this to work with the command line unzip, so use the gui extraction tool.

5. Navigate to the extracted folder and run the following commands:

cp /boot/config-`uname -r`* .config
make olddefconfig
make -j`cat /proc/cpuinfo | grep -c processor`

(this automatically uses the best amount of jobs for your CPU)
(wait a while for it to compile, and after run)

sudo make INSTALL_MOD_STRIP=1 modules_install install
(stripping symbols makes the initrd the regular ~30MB instead of 238MB)

6. Create config file with:

echo "options ath10k_core skip_otp=y" | sudo tee /etc/modprobe.d/ath10k.conf

7. Reboot using your new kernel 4.x.x-wl-ath
(will be automatically selected)

8. Run ifconfig

Works perfectly without any drops. Would be nice that people who succeed comment on the following PR:

https://github.com/kvalo/ath10k-firmware/pull/2

so we can get this merged to mainstream kernel.

Iain (iain-v-majer) wrote :

Just tried to follow the post #190 however when I get to the point of running:
sudo make modules_install install

I'm faced with the error of:
ln: target ‘/lib/modules/4.1.0-wl-ath/source’ is not a directory

any idea what I'm doing wrong? Creating the folder myself it will return the error
rm: cannot remove ‘/lib/modules/4.1.0-wl-ath/source’: Is a directory

santicas20 (santiagocasas) wrote :

I tried to follow the post #190 but after the command:

sudo make INSTALL_MOD_STRIP=1 modules_install install

I got errors like this:

http://pastebin.com/9cgBGiqk

And this is the oputput of $ cat /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log:

http://pastebin.com/npcpEn4t

Thanks for any help!!

Amund Nygaard (amund-l) wrote :

If you get errors with Kconfig or filename too long, try tar.gz instead of .zip, fixed my issues at least. .zip didnt handle the symlink or something.
I.e. https://github.com/kvalo/ath/archive/master.tar.gz

Aydin K. (akocas) wrote :

#189 and #190 brought:

 make -j2
scripts/kconfig/conf --silentoldconfig Kconfig
  CHK include/config/kernel.release
  CHK include/generated/uapi/linux/version.h
  CHK include/generated/utsrelease.h
  CC kernel/bounds.s
In file included from ./arch/x86/include/asm/bitops.h:16:0,
                 from include/linux/bitops.h:36,
                 from include/linux/kernel.h:10,
                 from include/asm-generic/bug.h:13,
                 from ./arch/x86/include/asm/bug.h:35,
                 from include/linux/bug.h:4,
                 from include/linux/page-flags.h:9,
                 from kernel/bounds.c:9:
./arch/x86/include/asm/arch_hweight.h: In function ‘__arch_hweight64’:
./arch/x86/include/asm/arch_hweight.h:53:42: error: expected ‘:’ or ‘)’ before ‘POPCNT64’
  asm (ALTERNATIVE("call __sw_hweight64", POPCNT64, X86_FEATURE_POPCNT)
                                          ^
./arch/x86/include/asm/alternative.h:125:28: note: in definition of macro ‘ALTINSTR_REPLACEMENT’
  b_replacement(num)":\n\t" newinstr "\n" e_replacement(num) ":\n\t"
                            ^
./arch/x86/include/asm/arch_hweight.h:53:7: note: in expansion of macro ‘ALTERNATIVE’
  asm (ALTERNATIVE("call __sw_hweight64", POPCNT64, X86_FEATURE_POPCNT)
       ^
make[1]: *** [kernel/bounds.s] Error 1
make: *** [prepare0] Error 2

Ignacio Tartavull (tartavull) wrote :

I was able to build the new kernel, but when booting with it, wifi doesn't work.
I got the following message from dmesg:

[ 25.889475] ath10k_pci 0000:03:00.0: enabling device (0000 -> 0002)
[ 25.890466] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 26.041072] ath10k_pci 0000:03:00.0: Invalid svc_to_pipe map
[ 26.041111] ath10k_pci 0000:03:00.0: failed to setup init config: -5
[ 26.041236] ath10k_pci 0000:03:00.0: could not start pci hif (-5)
[ 26.041271] ath10k_pci 0000:03:00.0: could not probe fw (-5)

Anybody knows what might be the issue?

Ignacio Tartavull (tartavull) wrote :

My mistake was that I forgot to do:

#Edit file for correct indicator address:
sudo vi drivers/net/wireless/ath/ath10k/hw.c
#Search for 0x00009028 and replace with 0x0003a028

it now works fine, but dmesg still show error msgs

 16.004871] ath10k_pci 0000:03:00.0: enabling device (0000 -> 0002)
[ 16.005392] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 16.172041] usb 1-9: Direct firmware load for ar3k/AthrBT_0x00000200.dfu failed with error -2
[ 16.172045] Bluetooth: Patch file not found ar3k/AthrBT_0x00000200.dfu
[ 16.172077] Bluetooth: Loading patch file failed
[ 16.172099] ath3k: probe of 1-9:1.0 failed with error -2
[ 16.172137] usbcore: registered new interface driver ath3k
[ 16.349646] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[ 16.421465] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 16.421469] ath10k_pci 0000:03:00.0: failed to load spec board file, falling back to generic: -2

Ignacio Tartavull (tartavull) wrote :

If you go to https://wireless.wiki.kernel.org/en/users/drivers/ath10k you can read

2015-01-27 QCA6174 support added, will be in 3.20.

Jason Smith (sddfdds) wrote :

Wouldn't it theoretically already be in 4.x then?

GregP (gregp) wrote :

as far as I understood the (mainline) kernel 4.2 will support QCA6174 . You can have a look at the first RC here http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2-rc1-unstable/

santicas20 (santiagocasas) wrote :

Still no success, this time using https://github.com/kvalo/ath/archive/master.tar.gz.

I get this error after the

$ sudo make INSTALL_MOD_STRIP=1 modules_install install

INSTALL /lib/firmware/yam/9600.bin
  DEPMOD 4.1.0-wl-ath
sh ./arch/x86/boot/install.sh 4.1.0-wl-ath arch/x86/boot/bzImage \
 System.map "/boot"
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.1.0-wl-ath /boot/vmlinuz-4.1.0-wl-ath
run-parts: executing /etc/kernel/postinst.d/dkms 4.1.0-wl-ath /boot/vmlinuz-4.1.0-wl-ath
Error! Bad return status for module build on kernel: 4.1.0-wl-ath (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log for more information.

^Carch/x86/boot/Makefile:188: recipe for target 'install' failed
make[1]: *** [install] Interrupt

I fixed my problem by installing the latest stable kernel.
1) Install latest stable kernel. No need to compile. http://www.yourownlinux.com/2015/07/how-to-install-linux-kernel-4-1-1-in-linux.html

2) Add all required firmware files mentioned in previous posts.

3) Install a ath10k backport release. http://linuxwireless.org/en/users/Drivers/ath10k/backports/ . If the latest stable backwards release doesn't work, try the one in development.

Aydin K. (akocas) wrote :

#201 - step 3 lead to my tp-link usb wireless (replacement due to this bug #1383184) stop working. I had to make uninstall

Jean Rachid (jeanrachid) wrote :

hello, i followed all steps in #150 but when i ran "make -jX", the compilator tell me "no such file or directory for linux/slab.h" whereas this header is present in my filesystem.
Is anyone having the same trouble ?

David (d-cernak) wrote :

I have had many problems while compiling the kernel (while following steps #150 and #115)
The problem was in that .zip file.. never again download any sources from git as a zip, use a tar.gz.

All the errors (missing files, bad symlinks, "no rule to make target...") were because of that .zip file, use this link instead:

https://github.com/kvalo/ath/archive/master.tar.gz

Adam Lee (adam8157) wrote :

Qualcomm Atheros Device [168c:003e] (rev 20)

mainline commit d63955b33b3bee45d784ffdfafeb93076c765660

also we need a firmware named ath10k/QCA6174/hw2.1/firmware-5.bin

failed to find it in https://github.com/kvalo/ath10k-firmware or https://github.com/sumdog/ath10k-firmware

Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
summary: - Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] not supported
+ Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
Changed in linux (Ubuntu):
assignee: nobody → Adam Lee (adam8157)
Changed in linux-firmware (Ubuntu):
assignee: nobody → Adam Lee (adam8157)
Adam Lee (adam8157) on 2015-07-24
Changed in linux-firmware (Ubuntu):
status: New → Triaged
Changed in hwe-next:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Adam Lee (adam8157)
description: updated

I got a Samsung ATIV NP940X3K-K02US which has the Qualcomm atheros QCA6174 / NFA354 card.

I tried to follow the directions in #201.
1) I have the 4.1.1 kernel working
2) I 'm not sure what all needs to be installed. "all required firmware from previous posts" was kind of vague. I cloned https://github.com/kvalo/ath10k-firmware and copied the directories in /ath10k/ to /lib/firmware/
3) I tried the latest non-rc stable, the latest RC stable, and finally the dev version of backports. Each with a restart after, and each with no change.

I still don't see "wireless" at all in my network settings

Felix Edelmann (fxedel) wrote :

I'm using an Acer Aspire V 15 Nitro (VN7-571G-52EP) with dualboot Win8.1 and Ubuntu 15.04. Wifi does work in Windows, but not Linux.

{{{lspci | grep Network}}} gives
{{{03:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)}}}

So the card is detected, but as seen in iwconfig:
{{{eth0 no wireless extensions.

lo no wireless extensions.}}}

not used. Same problem as many others.

I tried Milos solution in #190 step for step. Everything worked without any errors. But when I was at 8. and ran {{{ifconfig}}}, the card still wasn't listed / used.

$ lspci | grep Network
01:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

$ iwconfig
eth0 no wireless extensions.
lo no wireless extensions.

$ ifconfig
eth0 Link encap:Ethernet HWaddr 24:f5:aa:d3:d3:d3
          inet addr:192.168.1.103 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::26f5:aaff:fed3:d3d3/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:19363 errors:0 dropped:0 overruns:0 frame:0
          TX packets:15632 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:18302626 (18.3 MB) TX bytes:2035561 (2.0 MB)

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:65536 Metric:1
          RX packets:1837 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1837 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:197073 (197.0 KB) TX bytes:197073 (197.0 KB)

I'm at a bit of a loss. I'd really love to get this working. The whole reason I got this laptop was because it looked better for traveling than my previous one. I'm happy to test out whatever.

Adam Lee (adam8157) on 2015-07-29
description: updated
Adam Lee (adam8157) wrote :

http://kernel.ubuntu.com/~adamlee/lp1383184/ath10k-dkms_1.0_all.deb

since vendor's firmware schedule is blocking this merged into vanilla ubuntu now, please install this dkms and reboot. tested myself, positive.

hope it helps, feedbace is welcomed.

Markus (s-ma4l-e) wrote :

Does this work without a kernel update? (or is a kernel update required before installing the dkms?)

Adam Lee (adam8157) wrote :

#209 should be able to work with kernel from 3.2 to 4.2

Winfried Pohl (winfried-pohl) wrote :

I followed #209 on my Acer Aspire V 15 Nitro VN7-571G-51WH under Linux Mint 17.2 kernel 4.1.0 with the result:
~ $ iwconfig
eth0 no wireless extensions.

usb0 no wireless extensions.

lo no wireless extensions.

Markus (s-ma4l-e) wrote :

Thanks Adam for the fix. I just installed it but unfortunately it does not happen anything. The installation went fine, now warnings or errors, then I rebooted but I still see no wireless devise. I have Ubuntu 14.04 LTS. Here some more information:

$ uname -a
Linux markus-msi 3.16.0-41-generic #57~14.04.1-Ubuntu SMP Thu Jun 18 18:01:13 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ lspci | grep Network
05:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

$ ifconfig
eth0 Link encap:Ethernet HWaddr 44:8a:5b:6e:c3:7c
          inet addr:10.250.7.221 Bcast:10.250.7.255 Mask:255.255.255.0
          inet6 addr: fe80::468a:5bff:fe6e:c37c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:27 errors:0 dropped:0 overruns:0 frame:0
          TX packets:99 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:2799 (2.7 KB) TX bytes:13883 (13.8 KB)
          Interrupt:19

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:65536 Metric:1
          RX packets:130 errors:0 dropped:0 overruns:0 frame:0
          TX packets:130 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:8201 (8.2 KB) TX bytes:8201 (8.2 KB)

$ iwconfig
eth0 no wireless extensions.
lo no wireless extensions.

Do you have any ideas why it is not working or what might fix this?

Jeric Bryle Dy (jeric) wrote :

installed, still not working.

$ uname -a
Linux x-iv-u 3.16.0-45-generic #60~14.04.1-Ubuntu SMP Fri Jul 24 21:16:23 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ lspci | grep Network
04:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

$ iwconfig
eth0 no wireless extensions.
lo no wireless extensions.

Rob (fynesr) wrote :

Unless I'm missing something, #211 explicitly says kernel >= 3.2 only

Markus (s-ma4l-e) wrote :

Indeed, though kernel 3.16 > 3.2 and same holds for 4.1 of #212...

Adam Lee (adam8157) wrote :

that's weird, to whom still has this issue with my dkms, please paste `dmesg|grep ath10k` here after rebooting, thanks.

Francois D (c-ubuntuone-g) wrote :
Download full text (3.5 KiB)

I installed from the link on #209 but it didn't work.

$ uname -a
Linux gs60 3.17.1-031701-generic #201410150735 SMP Wed Oct 15 11:36:31 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

$ lspci | grep Network
05:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

$ iwconfig
eth0 no wireless extensions.
lo no wireless extensions.

And here's the output of the installation:
##############################
Running module version sanity check.
 - Original module
   - Found /lib/modules/3.17.1-031701-generic/kernel/net/wireless/cfg80211.ko
   - Storing in /var/lib/dkms/ath10k/original_module/3.17.1-031701-generic/amd64/
   - Archiving for uninstallation purposes
 - Installation
   - Installing to /lib/modules/3.17.1-031701-generic/updates/kernel//

ath10k_core.ko:
Running module version sanity check.
 - Original module
   - Found /lib/modules/3.17.1-031701-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_core.ko
   - Storing in /var/lib/dkms/ath10k/original_module/3.17.1-031701-generic/amd64/
   - Archiving for uninstallation purposes
 - Installation
   - Installing to /lib/modules/3.17.1-031701-generic/updates/kernel//

ath10k_pci.ko:
Running module version sanity check.
 - Original module
   - Found /lib/modules/3.17.1-031701-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko
   - Storing in /var/lib/dkms/ath10k/original_module/3.17.1-031701-generic/amd64/
   - Archiving for uninstallation purposes
 - Installation
   - Installing to /lib/modules/3.17.1-031701-generic/updates/kernel//

ath.ko:
Running module version sanity check.
 - Original module
   - Found /lib/modules/3.17.1-031701-generic/kernel/drivers/net/wireless/ath/ath.ko
   - Storing in /var/lib/dkms/ath10k/original_module/3.17.1-031701-generic/amd64/
   - Archiving for uninstallation purposes
 - Installation
   - Installing to /lib/modules/3.17.1-031701-generic/updates/kernel//

compat.ko:
Running module version sanity check.
 - Original module
 - Installation
   - Installing to /lib/modules/3.17.1-031701-generic/updates/kernel//

Running the post_install script:

depmod....

DKMS: install completed.
Building initial module for 4.1.0-wl-ath
Done.

mac80211:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.1.0-wl-ath/updates/kernel//

cfg80211.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.1.0-wl-ath/updates/kernel//

ath10k_core.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.1.0-wl-ath/updates/kernel//

ath10k_pci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.1.0-wl-ath/updates/kernel//

ath.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.1.0-wl-ath/updates/kernel//

compat.ko:
Running module version sanity...

Read more...

Markus (s-ma4l-e) wrote :

@Adam: I got a empty response...

$ dmesg | grep ath10k
(empty)

Winfried Pohl (winfried-pohl) wrote :

same as #219

Download full text (5.9 KiB)

Hi all,

It is working ok!!!! in my Aspire-VN7-591G with Ubuntu 14.04.2 and
3.19.0-25-generic kernel.

Aspire-VN7-591G:~$ dmesg | grep ath10k
[ 1.525449] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode
0 reset_mode 0
[ 1.730964] ath10k_pci 0000:07:00.0: Direct firmware load for
ath10k/cal-pci-0000:07:00.0.bin failed with error -2
[ 1.731171] ath10k_pci 0000:07:00.0: Direct firmware load for
ath10k/QCA6174/hw2.1/board-pci-168c:003e:11ad:0804.bin failed with error -2
[ 1.731175] ath10k_pci 0000:07:00.0: failed to load spec board file,
falling back to generic: -2
[ 1.731422] ath10k_pci 0000:07:00.0: Direct firmware load for
ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 1.731424] ath10k_pci 0000:07:00.0: could not fetch firmware file
'ath10k/QCA6174/hw2.1/firmware-5.bin': -2
[ 2.925907] ath10k_pci 0000:07:00.0: qca6174 hw2.1 (0x05010000,
0x003405ff, 168c:003e:11ad:0804 fallback) fw killer-n1525-fw api 4 htt 3.0
wmi 4 cal otp max_sta 32
[ 2.925911] ath10k_pci 0000:07:00.0: debug 1 debugfs 1 tracing 0 dfs 0
testmode 0
[ 3.016399] ath10k_pci 0000:07:00.0 wlan1: renamed from wlan0

Aspire-VN7-591G:~$ iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

wlan1 IEEE 802.11abgn ESSID:"XXXX"
          Mode:Managed Frequency:2.462 GHz Access Point:
0E:18:D6:47:D5:3F
          Bit Rate=1 Mb/s Tx-Power=20 dBm
          Retry short limit:7 RTS thr:off Fragment thr:off
          Power Management:on
          Link Quality=57/70 Signal level=-53 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:18 Invalid misc:132 Missed beacon:0

Adam great work!

Thanks!!!!!
Juan Manuel

On Mon, Aug 3, 2015 at 10:50 AM, Winfried Pohl <email address hidden>
wrote:

> same as #219
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Triaged
> Status in linux package in Ubuntu:
> Triaged
> Status in linux-firmware package in Ubuntu:
> Triaged
>
> Bug description:
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions...

Read more...

Jeric Bryle Dy (jeric) wrote :

same as #219, empty string

Chad (chad-hershberger) wrote :

Worked for me after I installed kernel 3.19 just like in #221

Matt A (matthias-alric) wrote :

same as #219, using ubuntu 14.04.2 LTS with kernel 4.1.3

It works!
In my MSI gs60:

1) upgrade kernel to 3.19 (http://askubuntu.com/questions/598483/how-can-i-use-kernel-3-19-in-14-04-now)
2) use #209 deb package

Super cool!

Felix Edelmann (fxedel) wrote :

I recently bought the Intel Dualband-Wireless-AC 3160 card which supports WiFi and Bluetooth, too. Worked perfectly on my Acer Aspire VN7-571G-52EP. I replaced the Qualcomm card with the card form Intel, restarted, and it worked out of the box!

Only Windows made problems – but I could simply download official drivers from the Intel website and it worked on it, too.

Download full text (4.0 KiB)

I tried the .deb in #209 but it didn't work for me.

-----------------------------------------------------------------
Installation seemed okay
-----------------------------------------------------------------
$ sudo dpkg --install ath10k-dkms_1.0_all.deb
[sudo] password for acampbell:
Selecting previously unselected package ath10k-dkms.
(Reading database ... 344756 files and directories currently installed.)
Preparing to unpack ath10k-dkms_1.0_all.deb ...
Unpacking ath10k-dkms (1.0) ...
Setting up ath10k-dkms (1.0) ...
Loading new ath10k-1.0 DKMS files...
First Installation: checking all kernels...
Building only for 4.1.1-040101-generic
Building for architecture x86_64
Building initial module for 4.1.1-040101-generic
Done.

mac80211:
Running module version sanity check.

Good news! Module version backported for mac80211.ko
exactly matches what is already found in kernel 4.1.1-040101-generic.
DKMS will not replace this module.
You may override by specifying --force.

cfg80211.ko:
Running module version sanity check.

Good news! Module version backported for cfg80211.ko
exactly matches what is already found in kernel 4.1.1-040101-generic.
DKMS will not replace this module.
You may override by specifying --force.

ath10k_core.ko:
Running module version sanity check.
 - Original module
   - Multiple original modules exist but DKMS does not know which to pick
   - Due to the confusion, none will be considered during a later uninstall
 - Multiple same named modules!
   - 2 named ath10k_core.ko in /lib/modules/4.1.1-040101-generic/
 - Installation
   - Installing to /lib/modules/4.1.1-040101-generic/updates/dkms/

ath10k_pci.ko:
Running module version sanity check.

Good news! Module version backported for ath10k_pci.ko
exactly matches what is already found in kernel 4.1.1-040101-generic.
DKMS will not replace this module.
You may override by specifying --force.

ath.ko:
Running module version sanity check.

Good news! Module version for ath.ko
exactly matches what is already found in kernel 4.1.1-040101-generic.
DKMS will not replace this module.
You may override by specifying --force.

compat.ko:
Running module version sanity check.
Error! Module version backported for compat.ko
is not newer than what is already found in kernel 4.1.1-040101-generic (backported).
You may override by specifying --force.

Running the post_install script:

depmod....

DKMS: install completed.
Processing triggers for initramfs-tools (0.103ubuntu15) ...
update-initramfs: Generating /boot/initrd.img-4.1.1-040101-generic

-----------------------------------------------------------------
uname shows kernel 4.1.1
-----------------------------------------------------------------
$ uname -a
Linux aaron-laptop 4.1.1-040101-generic #201507030635 SMP Fri Jul 3 10:38:27 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

-----------------------------------------------------------------
iwconfig shows nothing
-----------------------------------------------------------------
acampbell@aaron-laptop:~$ iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

-----------------------------------------------------------------
dmesg shows several issues
-----------------...

Read more...

I forgot: That was on a Samsung ATIV NP940X3K-K02US which has the Qualcomm atheros QCA6174 / NFA354 card. I have tried most of the other solutions here too, so maybe there was something that came from one of those that's causing the issue? (that's how I ended up with a 4.1.1 kernel)

Adam Lee (adam8157) wrote :

Noticed a place needed to modify, will upload version 1.1 later, thanks for all the feedbacks.

Adam Lee (adam8157) wrote :

to whom still has this issue after installed deb in #209 and rebooted, please help collecting some info:

1, `dmesg|grep ath10k`
2, `lspcn -nnn|grep -i atheros`
3, `uname -a`

thanks.

Matt A (matthias-alric) wrote :

#209 did work when I changed my kernel version to 3.19.8
However, my connection fails after 5-10 minutes, and I have to reboot my computer to get wifi again.

matt@Swordfish-II ~$ dmesg|grep ath10k
[ 7.952768] ath10k_pci 0000:05:00.0: enabling device (0000 -> 0002)
[ 7.953122] ath10k_pci 0000:05:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 8.142903] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/cal-pci-0000:05:00.0.bin failed with error -2
[ 8.143181] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 8.143183] ath10k_pci 0000:05:00.0: failed to load spec board file, falling back to generic: -2
[ 8.143367] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 8.143370] ath10k_pci 0000:05:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-5.bin': -2
[ 9.311240] ath10k_pci 0000:05:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw killer-n1525-fw api 4 htt 3.0 wmi 4 cal otp max_sta 32
[ 9.311241] ath10k_pci 0000:05:00.0: debug 1 debugfs 1 tracing 0 dfs 0 testmode 0
[ 9.391234] ath10k_pci 0000:05:00.0 wlan1: renamed from wlan0

matt@Swordfish-II ~$ lspci -nnn|grep -i atheros
04:00.0 Ethernet controller [0200]: Qualcomm Atheros Killer E2200 Gigabit Ethernet Controller [1969:e091] (rev 13)
05:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

matt@Swordfish-II ~$ uname -a
Linux Swordfish-II 3.19.8-031908-generic #201505110938 SMP Mon May 11 13:39:59 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Winfried Pohl (winfried-pohl) wrote :

@Adam concerning #230
Thank you so much for taking care!
Here are my results:

winfried@winfried-Aspire-VN7-571G ~ $ dmesg|grep ath10k
winfried@winfried-Aspire-VN7-571G ~ $ lspcn -nnn|grep -i atheros
Der Befehl »lspcn« wurde nicht gefunden, meinten Sie vielleicht: (command lspcn unknown, perhaps lspci??)
 Befehl »lspci« aus dem Paket »pciutils« (main)
lspcn: Befehl nicht gefunden.
winfried@winfried-Aspire-VN7-571G ~ $ uname -a
Linux winfried-Aspire-VN7-571G 4.1.0 #1 SMP Mon Jun 22 11:23:15 CEST 2015 x86_64 x86_64 x86_64 GNU/Linux
winfried@winfried-Aspire-VN7-571G ~ $

Jeric Bryle Dy (jeric) wrote :

$ dmesg|grep ath10k
empty string

$ lspci -nnn|grep -i atheros
04:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

$ uname -a
Linux x-iv-u 3.16.0-45-generic #60~14.04.1-Ubuntu SMP Fri Jul 24 21:16:23 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Winfried Pohl (winfried-pohl) wrote :

@Adam
winfried@winfried-Aspire-VN7-571G ~ $ lspci -nnn|grep -i atheros
02:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

Adam Lee (adam8157) wrote :

sorry, I mean "2, `lspci -nnn|grep -i atheros`"

Markus (s-ma4l-e) wrote :

Adam, thanks for your effort to fix this! Here are my results:

1. dmesg|grep ath10k
(empty)

2. lspci -nnn|grep -i atheros
04:00.0 Ethernet controller [0200]: Qualcomm Atheros Killer E2200 Gigabit Ethernet Controller [1969:e091] (rev 13)
05:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

3. uname -a
Linux markus-msi 3.16.0-41-generic #57~14.04.1-Ubuntu SMP Thu Jun 18 18:01:13 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ dmesg|grep ath10k
[ 1.316648] ath10k_pci 0000:01:00.0: enabling device (0000 -> 0002)
[ 1.319367] ath10k_pci 0000:01:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 1.521673] ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/cal-pci-0000:01:00.0.bin failed with error -2
[ 1.522318] ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:144d:4125.bin failed with error -2
[ 1.522319] ath10k_pci 0000:01:00.0: failed to load spec board file, falling back to generic: -2
[ 3.461334] ath10k_pci 0000:01:00.0: unable to write to the device
[ 3.461339] ath10k_pci 0000:01:00.0: failed to download normal firmware: -110
[ 3.461341] ath10k_pci 0000:01:00.0: could not init core (-110)
[ 3.461376] ath10k_pci 0000:01:00.0: could not probe fw (-110)

$ lspci -nnn|grep -i atheros
01:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

$ uname -a
Linux aaron-laptop 4.1.1-040101-generic #201507030635 SMP Fri Jul 3 10:38:27 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Gianka Palms (abbestia) wrote :

#209

Adam, thanks a lot ;-)

I just installed it but unfortunately it does not happen anything. The installation went fine, now warnings or errors, then I rebooted but I still see no wireless devise. I have Ubuntu 15.04 LTS on Dell Alienware 15.

Here some more information:

uname -a
Linux jnkdev-Laptop 3.19.0-25-generic #26-Ubuntu SMP Fri Jul 24 21:17:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

iwconfig
eth0 no wireless extensions.
lo no wireless extensions.

dmesg|grep ath10k
[ 2.800103] ath10k_pci 0000:03:00.0: enabling device (0000 -> 0002)
[ 2.800700] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2.985620] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[ 2.986070] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 2.986072] ath10k_pci 0000:03:00.0: failed to load spec board file, falling back to generic: -2
[ 4.948036] ath10k_pci 0000:03:00.0: unable to write to the device
[ 4.948040] ath10k_pci 0000:03:00.0: failed to download normal firmware: -110
[ 4.948043] ath10k_pci 0000:03:00.0: could not init core (-110)
[ 4.948090] ath10k_pci 0000:03:00.0: could not probe fw (-110)

lspci -nnn|grep -i atheros
02:00.0 Ethernet controller [0200]: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller [1969:e091] (rev 10)
03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

Francois D (c-ubuntuone-g) wrote :

Thanks Adam. And I don't know if it's related but I used to be able to use an external usb wireless device (Belkin) but it doesn't work anymore. I don't know since when though so it can be something else.

francoisd@gs60 ~ $ dmesg|grep ath10k
Nothing returned

francoisd@gs60 ~ $ lspci -nnn|grep -i atheros
04:00.0 Ethernet controller [0200]: Qualcomm Atheros Killer E2200 Gigabit Ethernet Controller [1969:e091] (rev 13)
05:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

francoisd@gs60 ~ $ uname -a
Linux gs60 3.17.1-031701-generic #201410150735 SMP Wed Oct 15 11:36:31 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Quellan (tulkas-ainur) wrote :
Download full text (5.0 KiB)

I get the following error when I try to install

$ sudo dpkg -i ath10k-dkms_1.0_all.deb
Selecting previously unselected package ath10k-dkms.
(Reading database ... 192381 files and directories currently installed.)
Preparing to unpack ath10k-dkms_1.0_all.deb ...
Unpacking ath10k-dkms (1.0) ...
Setting up ath10k-dkms (1.0) ...
Loading new ath10k-1.0 DKMS files...
First Installation: checking all kernels...
Building only for 4.2.0-rc4-wl-ath
Building for architecture x86_64
Building initial module for 4.2.0-rc4-wl-ath
ERROR (dkms apport): unable to determine source package for ath10k-dkms
Error! Bad return status for module build on kernel: 4.2.0-rc4-wl-ath (x86_64)
Consult /var/lib/dkms/ath10k/1.0/build/make.log for more information.
dpkg: error processing package ath10k-dkms (--install):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
update-initramfs: Generating /boot/initrd.img-4.2.0-rc4-wl-ath
Errors were encountered while processing:
 ath10k-dkms

Looking into the make.log gives:
$ cat /var/lib/dkms/ath10k/1.0/build/make.log
DKMS make.log for ath10k-1.0 for kernel 4.2.0-rc4-wl-ath (x86_64)
Tue Aug 4 10:18:14 PDT 2015
make -C /lib/modules/4.2.0-rc4-wl-ath/build M=/var/lib/dkms/ath10k/1.0/build/driver modules
make[1]: Entering directory `/home/marek/ath10k/ath-master'
make[1]: warning: jobserver unavailable: using -j1. Add `+' to parent make rule.
  CC [M] /var/lib/dkms/ath10k/1.0/build/driver/compat/main.o
  CC [M] /var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.0.o
  CC [M] /var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.1.o
  CC [M] /var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.o
/var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.c:14:28: error: static declaration of ‘scatterwalk_ffwd’ follows non-static declaration
 static struct scatterlist *scatterwalk_ffwd(struct scatterlist dst[2],
                            ^
In file included from /var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.c:11:0:
include/crypto/scatterwalk.h:105:21: note: previous declaration of ‘scatterwalk_ffwd’ was here
 struct scatterlist *scatterwalk_ffwd(struct scatterlist dst[2],
                     ^
/var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.c: In function ‘crypto_backport_convert’:
/var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.c:50:9: error: implicit declaration of function ‘aead_request_ctx’ [-Werror=implicit-function-declaration]
  struct aead_old_request *nreq = aead_request_ctx(req);
         ^
/var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.c:50:34: warning: initialization makes pointer from integer without a cast [enabled by default]
  struct aead_old_request *nreq = aead_request_ctx(req);
                                  ^
/var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.c:59:2: error: implicit declaration of function ‘aead_request_flags’ [-Werror=implicit-function-declaration]
  aead_request_set_callback(&nreq->subreq, aead_request_flags(req),
  ^
cc1: some warnings being treated as errors
make[3]: *** [/var/lib/dkms/ath10k/1.0/build/driver/compat/backport-4.2.o] Error 1
...

Read more...

dmarbri (dmarbri) wrote :

Working on Acer Aspire V Nitro VN7-591G-76VX.
I've followed #209 and #225 and rebooted.

Distro: Ubuntu 14.04.3 LTS
Kernel: 3.19.0-25-generic

lspci | grep Network
07:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

A big thank you to Adam.

Francois D (c-ubuntuone-g) wrote :

By curiosity dmarbri, did you try the fix #150 prior to that?

I did and I wonder if that's the reason why it doesn't work for me and some others.

Thanks

Francois D (c-ubuntuone-g) wrote :

Actually I saw a few of you said you upgraded your kernel to 3.19.

Adam, should I do that or you'd rather have it working on any kernel in the range you provided? I don't mind upgrading if that's what's needed.

Adam Lee (adam8157) wrote :

1.1 version fix: http://kernel.ubuntu.com/~adamlee/lp1383184/ath10k-dkms_1.1_all.deb

it will work with kernel 3.2 ~ 4.0, I tested with 3.19(Ubuntu 15.04) myself.

someone may find it still doesn't work unfortunately, this situation will get better after mainline 4.3 rc1 got released.

Gianka Palms (abbestia) wrote :
Download full text (6.0 KiB)

Adam, thanks a lot for your work.
I tried the fix #244 but I got the following error when I try to install:

DKMS: install completed.
Processing triggers for initramfs-tools (0.103ubuntu15) ...
update-initramfs: Generating /boot/initrd.img-4.2.0-rc4-wl-ath
grep: /boot/config-4.2.0-rc4-wl-ath: No such file or directory
WARNING: missing /lib/modules/4.2.0-rc4-wl-ath
Device driver support needs thus be built-in linux image!
depmod: ERROR: could not open directory /lib/modules/4.2.0-rc4-wl-ath: No such file or directory
depmod: FATAL: could not search modules: No such file or directory
depmod: WARNING: could not open /tmp/mkinitramfs_HFOBNt/lib/modules/4.2.0-rc4-wl-ath/modules.order: No such file or directory
depmod: WARNING: could not open /tmp/mkinitramfs_HFOBNt/lib/modules/4.2.0-rc4-wl-ath/modules.builtin: No such file or directory

-------------

uname -a
Linux jnkdev-Laptop 3.19.0-25-generic #26-Ubuntu SMP Fri Jul 24 21:17:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

-------------

lspci -nnn|grep -i atheros
02:00.0 Ethernet controller [0200]: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller [1969:e091] (rev 10)
03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

-------------

dmesg|grep ath10k
[ 3.012933] ath10k_pci 0000:03:00.0: enabling device (0000 -> 0002)
[ 3.013529] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 3.194984] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[ 3.195351] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 3.195353] ath10k_pci 0000:03:00.0: failed to load spec board file, falling back to generic: -2
[ 5.156029] ath10k_pci 0000:03:00.0: unable to write to the device
[ 5.156047] ath10k_pci 0000:03:00.0: failed to download normal firmware: -110
[ 5.156054] ath10k_pci 0000:03:00.0: could not init core (-110)
[ 5.156094] ath10k_pci 0000:03:00.0: could not probe fw (-110)

-------------

sudo dpkg -i ath10k-dkms_1.1_all.deb
(Reading database ... 311345 files and directories currently installed.)
Preparing to unpack ath10k-dkms_1.1_all.deb ...

-------- Uninstall Beginning --------
Module: ath10k
Version: 1.1
Kernel: 3.19.0-25-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

mac80211.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-25-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

cfg80211.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-25-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

ath10k_pci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-25-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall an...

Read more...

I tried the new 1.1 package. It seemed to install okay, but didn't work. I was on the 4.1.1 kernel, so I removed that (apt-get purge) as well as the ath10 package. I rebooted into the 3.19 kernel, re-installed the ath10 1.1 package, and restarted again. Still nothing.

-----------------------------------------------------------------
uname shows the 3.19 kernel
-----------------------------------------------------------------
$ uname -a
Linux aaron-laptop 3.19.0-26-generic #27-Ubuntu SMP Tue Jul 28 18:27:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

-----------------------------------------------------------------
iwconfig shows nothing
-----------------------------------------------------------------
acampbell@aaron-laptop:~$ iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

-----------------------------------------------------------------
dmesg shows several issues
-----------------------------------------------------------------
$ dmesg | grep ath10k
[ 1.537848] ath10k_pci 0000:01:00.0: enabling device (0000 -> 0002)
[ 1.540893] ath10k_pci 0000:01:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 1.734841] ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/cal-pci-0000:01:00.0.bin failed with error -2
[ 1.735460] ath10k_pci 0000:01:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:144d:4125.bin failed with error -2
[ 1.735463] ath10k_pci 0000:01:00.0: failed to load spec board file, falling back to generic: -2
[ 3.678117] ath10k_pci 0000:01:00.0: unable to write to the device
[ 3.678121] ath10k_pci 0000:01:00.0: failed to download normal firmware: -110
[ 3.678124] ath10k_pci 0000:01:00.0: could not init core (-110)
[ 3.678161] ath10k_pci 0000:01:00.0: could not probe fw (-110

dmarbri (dmarbri) wrote :

Hi Francois:

No, I didn't. But I forgot to mention that I'm using the firmware described in #124.

Jeric Bryle Dy (jeric) wrote :

installation failed for me

Francois D (c-ubuntuone-g) wrote :

Still doesn't work for me after trying #244. I tried copying the firmware from #124 as well but it didn't help.

Note that I haven't upgraded my kernel to 3.19 but since others can make it work with that kernel I'll stick to the one I have.

Zorin OS 10 here(based on 15.04) with 3.19. #244 works perfectly!

For your info, this is a fresh installation so I haven't tried any of the previous solutions. I do have a folder named QCA6174 in /lib/firmware/ath10k/ but I don't know if this was added by #244 .deb package.

Thanks Adam for sharing your solution- works for me on an Acer Aspire V Nitro (v 1.0 and v1.1 both work). For the record

$ dmesg | grep ath10
[ 2.509169] ath10k_pci 0000:08:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2.710613] ath10k_pci 0000:08:00.0: Direct firmware load for ath10k/cal-pci-0000:08:00.0.bin failed with error -2
[ 2.715060] ath10k_pci 0000:08:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:105b:e08e.bin failed with error -2
[ 2.715064] ath10k_pci 0000:08:00.0: failed to load spec board file, falling back to generic: -2
[ 2.715318] ath10k_pci 0000:08:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 2.715322] ath10k_pci 0000:08:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-5.bin': -2
[ 3.912336] ath10k_pci 0000:08:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:105b:e08e fallback) fw killer-n1525-fw api 4 htt 3.0 wmi 4 cal otp max_sta 32
[ 3.912339] ath10k_pci 0000:08:00.0: debug 1 debugfs 1 tracing 0 dfs 0 testmode 0
[ 4.081703] ath10k_pci 0000:08:00.0 wlan2: renamed from wlan0

$ sudo lshw -C network
  *-network
       description: Wireless interface
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:08:00.0
       logical name: wlan2
       version: 20
       serial: 2c:33:7a:4e:3a:c5
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath10k_pci driverversion=3.19.0-26-generic firmware=killer-n1525-fw ip=192.168.0.4 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
       resources: irq:42 memory:d1400000-d15fffff

$ uname -a
Linux xxxx 3.19.0-26-generic #27-Ubuntu SMP Tue Jul 28 18:27:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ sudo lspci -nnn|grep -i atheros
08:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

SHTseng (shtseng) wrote :

Thanks! Wi-Fi works for my Acer VN7-591g with Ubuntu 14.04 with #244 deb

-------------------------------------------------------------
shtseng@shtseng-Aspire-VN7-591G:~$ uname -a
Linux shtseng-Aspire-VN7-591G 4.2.0-rc3-wl-ath #2 SMP Mon Jul 27 17:44:46 CST 2015 x86_64 x86_64 x86_64 GNU/Linux

--------------------------------------------------------
shtseng@shtseng-Aspire-VN7-591G:~$ dmesg | grep ath10
[ 2.174781] ath10k_pci 0000:07:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2.363682] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/cal-pci-0000:07:00.0.bin failed with error -2
[ 2.363683] ath10k_pci 0000:07:00.0: Falling back to user helper
[ 2.364226] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:105b:e08e.bin failed with error -2
[ 2.364227] ath10k_pci 0000:07:00.0: Falling back to user helper
[ 2.364526] ath10k_pci 0000:07:00.0: failed to load spec board file, falling back to generic: -11
[ 2.364711] ath10k_pci 0000:07:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 2.364711] ath10k_pci 0000:07:00.0: Falling back to user helper
[ 2.364987] ath10k_pci 0000:07:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-5.bin': -11
[ 3.560101] ath10k_pci 0000:07:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:105b:e08e fallback) fw killer-n1525-fw api 4 htt 3.0 wmi 4 cal otp max_sta 32
[ 3.560105] ath10k_pci 0000:07:00.0: debug 1 debugfs 1 tracing 0 dfs 0 testmode 0

---------------------------------------------------------
shtseng@shtseng-Aspire-VN7-591G:~$ iwconfig
eth0 no wireless extensions.

wlan0 IEEE 802.11abgn ESSID:"Tseng"
          Mode:Managed Frequency:2.462 GHz Access Point: FC:F5:28:63:1B:C5
          Bit Rate=1 Mb/s Tx-Power=20 dBm
          Retry short limit:7 RTS thr:off Fragment thr:off
          Power Management:on
          Link Quality=67/70 Signal level=-43 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:86 Missed beacon:0

lo no wireless extensions.

--------------------------------------------------------------
Network controller: Qualcomm Atheros Device 003e (rev 20)

Winfried Pohl (winfried-pohl) wrote :

Following #244 I got these results (unfortunately):
$ uname -a
Linux winfried-Aspire-VN7-571G 3.16.0-38-generic #52~14.04.1-Ubuntu SMP Fri May 8 09:43:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ lspci -nnn|grep -i atheros
02:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)

$ iwconfig
eth0 no wireless extensions.

usb0 no wireless extensions.

lo no wireless extensions.

$ dmesg | grep ath10k
(empty)

infinityz (infinityzx) wrote :

First of all a massive thanks to Adam for his fix, my alienware 17r2 is now an happy bunny :-)

I have a question anyway. Is someone tried to use it with an AC connection? I cannot achieve more than 6Mb/s as link, just wondering if it's expected.

uname -a
Linux infinityz-Alienware-17-R2 4.0.0-040000-generic #201504121935 SMP Sun Apr 12 23:36:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
infinityz@infinityz-Alienware-17-R2:~$ iwconfig
eth0 no wireless extensions.

wlan0 IEEE 802.11abgn ESSID:"XXXXXXXX"
          Mode:Managed Frequency:5.805 GHz Access Point: 00:90:4C:11:40:00
          Bit Rate=6 Mb/s Tx-Power=30 dBm
          Retry short limit:7 RTS thr:off Fragment thr:off
          Power Management:on
          Link Quality=55/70 Signal level=-55 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:80 Invalid misc:953 Missed beacon:0

lo no wireless extensions.

Josh Taylor (jtaylor231) wrote :

infinity, the 6mb/s is a bug, as I can reach 100mbit over WiFi for my internet. :-)

No PCs here to test with so I can't test local file copying.

I will test the above, I'm still running that 4.1.0-rc7-wl-ath+

Eureka! It works! If you're still having issues and had tried adding the firmware yourself before, I had to remove it:
1. sudo apt-get -y purge ath10k-dkms
2. rm -rf /lib/firmware/ath10k/
3. sudo dpkg --install ath10k-dkms_1.1_all.deb
4. {restart}
5. {rejoice}

Also of note, I removed my USB wifi adapter before the above steps. I don't know if that had any bearing on it, but just in case I though I'd mention it.

I'm not getting quite as good speeds with this as I can with the same card on Windows right now. With the Internet I'm at, I'm getting anywhere from about 30-60mbps up and down with this deb, and I get about 150mbps up and down consistently in Windows. To me, that's perfectly workable, but I thought I'd update it here in case it really matters to anyone else.

infinityz (infinityzx) wrote :

Thanks for your answer Josh. Actually I have no issue with my internet s[eed, I can get 95mb/s on a connection of 100mb/s meaning 10/12 Mb/s

My problem is on internal network transfers, tried NFS, SMB/CIFS and FTP but cannot achieve over 1.2 Mb/s while on windows I can hit easily 35/40 Mb/s

Not quite sure the issue is on the wireless card, still investigating on network settings overall.

Markus (s-ma4l-e) wrote :

Thanks for the help. I had kernel 3.16 and followed #258. Unfortunately that did not work. This resulted in the same issues I already stated in #236 for the 1.0 version.

However, now I fixed it by upgrading my kernel. You can do a save update via:
1) sudo apt-get install linux-generic-lts-vivid [see (1)]
2) reboot
Now you are on kernel 3.19. (you can check it via uname -a). Since I already followed before #258 my wlan was working directly without any new installation of the patch. Someone who did not install anything before probably still needs to install #244 (or follow #258).

(1) http://askubuntu.com/questions/598483/how-can-i-use-kernel-3-19-in-14-04-now

Winfried Pohl (winfried-pohl) wrote :

I followed #258, but it did not work:
$ lspci -nnn|grep -i atheros
02:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:003e] (rev 20)
$ dmesg | grep ath10k
(empty)
winfried@winfried-Aspire-VN7-571G ~ $ uname -a
Linux winfried-Aspire-VN7-571G 4.1.0 #1 SMP Mon Jun 22 11:23:15 CEST 2015 x86_64 x86_64 x86_64 GNU/Linux
$ iwconfig
eth0 no wireless extensions.

lo no wireless extensions.

Maybe I made too many trials and have to purge the system fundamentally?

Winfried Pohl (winfried-pohl) wrote :

I made a last attempt in following #261 as I experienced that Markus had always the same problems as me. So I installed 'linux-generic-lts-vivid' and now it works.

For me it is absolutely surprising that kernel 3.19 works whether 3.16 and 4.1.0 do not!

My thanks to Alan, Aaron and Markus!

Francois D (c-ubuntuone-g) wrote :

This is it. Kernel 3.19 is the man. Nothing has worked before I switched to this kernel but now it's working.

Thanks everybody!

Francois D (c-ubuntuone-g) wrote :

Hum, now I've got other issues. The kernel 3.19 is very unstable for me. My screen goes black all the times and I have to restart when it stays like this for too long.

Back in the game and still interested to see it working on a different kernel. I use 3.17.1

Thanks

Francois

infinityz (infinityzx) wrote :

Hey, is this firmware doable, specifically the non-commercial which enables the swcrypt and perhaps improve the speed?

http://www.candelatech.com/ath10k.php

Po-Hsu Lin (cypressyew) wrote :

A tracker bug for Atheros wifi 168c:0041: bug 1436940

santicas20 (santiagocasas) wrote :

For me on a clean install of Ubuntu 15.04 with kernel 3.19.0-15-generic it worked.

First I installed dkms:

$ sudo apt-get install dkms

Then I followed post #258 downloading the package from post #244.

After restarting Wifi was recognized immediately, but the first time I connected to my network the speed was extremely slow.
After connecting and disconnecting a couple of times, it is now working fine, although I haven't tested the speed thoroughly compared to windows.

Thanks to Adam and Aaron!

nicobrainless (nicoseb) wrote :

Thank you!
On Elementary OS Freya, installing the ath10k package from post #258 I think, and upgrading the kernel to linux-generic-lts-vivid (3.19) fixed it :)
Now the touchpad...

WirelessMoves (gsmumts) wrote :

Installed version 1.1 from comment #244 on a Lenovo Yoga 3 11" with Ubuntu 15.04. Works great, speed as it should be. Thanks a lot Adam, you saved the day! -Martin

David (d-cernak) wrote :

PACKET INJECTION:

I have read something online about raw tx and it looks like that hardware crypto-engine on the card does encrypt the packets that you are trying to inject so it doesn't work. I have tried to create unsecured wireless network and connect to it - this disabled the crypto engine and allowed me to successfully attack my other WPS enabled network with reaver. After disconnecting from the unsecured network it stopped working, so it is not possible to change channel without changing the unsecured network's channel.
I am using Kvalo's kernel 4.2 and Killer 1525 in my alienware 13 - Does anyone know a better workaround to disable crypto engine? I have tried custom firmware from candela, didn't work.

Shinbuntu (monnot-stephane) wrote :

Installed version 1.1 from comment #244 on a MSI GS70 2QE-058FR - GTX 970M" with Ubuntu 15.04. It works like a charm. Thanks to Adam and Aaron.

Installed version 1.1 from comment #244 on a "Alienware 15" with Ubuntu 15.04(dual boot along with windows 10), works perfectly. Thank you for your effort(Adam).

> Installed version 1.1 from comment #244 on a "Alienware 15" with
> Ubuntu 15.04(dual boot along with windows 10), works perfectly. Thank
> you for your effort(Adam).
>

Avaron (aravergar) wrote :

I have to say thanks for solving this annoying problem. I've wasted lot of time before #261, #258 and #244 pointed out the solution that worked for me.
Version 1.1 in 3.19 works.
Ubuntu 15.04, 3.19, on a MSI GT72 2QD.
Qualcomm Atheros Killer n1525 working so far.

Quellan (tulkas-ainur) wrote :

After following the steps in 258 I was able to get this to work. Thanks to Aaron for suggesting manually removing the old firmware. and thanks to Adam for his work!

Francois D (c-ubuntuone-g) wrote :

Anyone has an idea what compenent in kernel 3.19 (actually 3.18 works as well) makes it work vs 3.17? I'm at a point of thinking going back to Windows. That tells you how discouraged I am :)

Like I mentionned before I cannot use 3.19 or 3.18 because they introduced a bug that makes my system very unstable. I don't know why but with kernel 3.17 I've never had this issue.

The other solution is to start playing with different kernel until I find one that both works with the wireless and doesn't have the stability issue. Does anyone can recomend what kind of kernel I should try?

Thanks

Francois

Adam Lee (adam8157) wrote :

@Francois, please report the bug you met with kernel 3.19 and assign it to me, thanks.

Winfried Pohl (winfried-pohl) wrote :

I can confirm, what Francois is reporting. Therefore I reported a bug under
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1489820
I could nor assign it to you, Adam, but maybe you can do it yourself?
Thank you for your continuous support!

Curiously, my wireless has been working great with the above ath10 deb package, however on recent reboots my wireless seems dead :-/.

I can confirm that it works in Windows 10 and hardware switch is on, yet on Linux boot, it doesn't try and load the modules. When I do it manually, _nothing_ happens. I'm tailing all the logs, checking dmesg.

Usually, when you load the module, the logs show the firmware trying to be loaded. In this case silence. If you hit the hardware switch then I only see something about the bluetooth part of it trying something;

[ 81.376164] usb 1-9: new full-speed USB device number 5 using xhci_hcd
[ 81.505197] usb 1-9: New USB device found, idVendor=0cf3, idProduct=3004
[ 81.505201] usb 1-9: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 81.506113] usb 1-9: Direct firmware load for ar3k/AthrBT_0x00000200.dfu failed with error -2
[ 81.506116] Bluetooth: Patch file not found ar3k/AthrBT_0x00000200.dfu
[ 81.506118] Bluetooth: Loading patch file failed
[ 81.506123] ath3k: probe of 1-9:1.0 failed with error -2

rfkill shows nothing, lshw shows that the device is unclaimed. Might try an earlier kernel (on 3.19.0-26-generic). Very confused.

Long Wei (longwei66) wrote :

Samsung ATIV Book 9 NP930X2K

I have updated to ubuntu 15.04, kernel 3.19, the solution of #244 worked like a charm with kernel 3.19 BUT with this kernel, I failed to have USB and graphic working.... (hopefully I was able to configure and test wifi with nmcli).

So now I have the choice between kernel 3.16 and wifi with a USB dongle OR kernel 3.19 with wifi but a lot of other issues to fix.

The good news is that the fix #244 is a good one !

Long Wei (longwei66) wrote :

Update - Samsung ATIV Book 9 NP930X2K

I upgraded to the kernel 3.19.0-26-generic (vs. 0-15 previously) and the all problems are now fixed. I have finally X+USB+Wifi running and the speed is as good as it should be.

Many thanks and looking forward to have #244 in the distrib

Roman (romanbn) wrote :

For me the wifi works with the newest mainline kernel release 4.2 and the first "official" firmware release (https://github.com/kvalo/ath10k-firmware/tree/master/ath10k) without the patch provided by Adam

I still have problems with wifi after 10 mins use, I loose connection and have to reboot my machine to reconnect.
kernel

3.19.0-27-generic #29-Ubuntu SMP Fri Aug 14 21:43:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

04:00.0 Ethernet controller: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller (rev 13)
05:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

Lost connection here is my dmesg attached.

Mike Ellertson (mdellertson) wrote :

Laptop: MSI Dominator GT72 2QD

I'm also having the same problem as Kaara Baastrup and am running kernel

uname -a
Linux LappyBeast 3.19.0-27-generic #29-Ubuntu SMP Fri Aug 14 21:43:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

03:00.0 Ethernet controller: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller (rev 13)
04:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

It the same with other kernels for me. Both 3.17.x and Also 4.1 and
3.19.0.28

lør. 5. sep. 2015 20.15 skrev Mike Ellertson <email address hidden>:

> Laptop: MSI Dominator GT72 2QD
>
> I'm also having the same problem as Kaara Baastrup and am running kernel
>
> uname -a
> Linux LappyBeast 3.19.0-27-generic #29-Ubuntu SMP Fri Aug 14 21:43:37 UTC
> 2015 x86_64 x86_64 x86_64 GNU/Linux
>
> 03:00.0 Ethernet controller: Qualcomm Atheros Killer E220x Gigabit
> Ethernet Controller (rev 13)
> 04:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1383184/+subscriptions
>

Mike Ellertson (mdellertson) wrote :

@romanbn, I'm trying to follow in your footsteps. So, I installed kernel 4.2 successfully. I'd like to install the firmware you recommended (https://github.com/kvalo/ath10k-firmware/tree/master/ath10k). Do you have the commands you executed executed to upgrade the firmware?

Roman (romanbn) wrote :

@mike Its quite easy. You just have to replace the ath10k folder in /lib/firmware/ath10k with the ath10k folder from the extracted zip: https://github.com/kvalo/ath10k-firmware/archive/master.zip

You can do this by replacing with in your file manager with root permissions. ( e.g. in Ubuntu you can do this by typing "sudo nautilus") or you use "cp".

The command should be the following:

sudo cp -r Downloads/ath10k-firmware-master/ath10k/ /lib/firmware/ath10k

where Downloads/ath10k... is the location i extracted the zip of course.

After you succeeded with it, you just have to reboot.

I recommend to remove the patch provided here because i don't really know what it does and the changes may collide.

Wily kernel 4.2 now out. Anyone had any luck using this without the wonderful ath10k.deb to see if its the golden bullet?

http://packages.ubuntu.com/wily/linux-image-4.2.0-7-generic

Im quite sure you will need the firmware/bin files as they are not part of
the kernel. Please correct med if im wrong.

ons. 9. sep. 2015 13.01 skrev Christopher May-Townsend <
<email address hidden>>:

> Wily kernel 4.2 now out. Anyone had any luck using this without the
> wonderful ath10k.deb to see if its the golden bullet?
>
> http://packages.ubuntu.com/wily/linux-image-4.2.0-7-generic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1383184/+subscriptions
>

No that's true Kaare :). Luckily they're way ahead of us;

http://packages.ubuntu.com/wily/all/linux-firmware/filelist

[snippet]
/lib/firmware/ath10k/QCA988X/hw2.0/board.bin
/lib/firmware/ath10k/QCA988X/hw2.0/firmware-4.bin
/lib/firmware/ath10k/QCA988X/hw2.0/firmware.bin
/lib/firmware/ath10k/QCA988X/hw2.0/notice_ath10k_firmware-4.txt
/lib/firmware/ath10k/QCA988X/hw2.0/otp.bin
[/snippet]

Oh yeah, starting to look good. I'll test this myself once I'm home, just wanted to make sure it was out there so someone with more time on their hands can give it a go now (although that deb package really does work wonderfully, so not as important as it once was - unless you hate DKMS).

Roman (romanbn) wrote :

The linux-firmware is not part of the Kernel thats true... The linux-firmware.git(https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/) is way BEHIND the actual progress.

The short for the Killer N1525 is QCA6174 hw2.1 which is NOT part of the official linux-firmware.

But to enable the device without the patch provided by Adam in this thread, you can get the firmware from the ath10k development repository: https://github.com/kvalo/ath10k-firmware

I described a way to install the firmware easy in comment #290.

For me the combination of Kernel 4.2 and the firmware from the ath10k repository made the patch obsolete.

PS: If you want to revert the the "installation" of the new firmware you should backup /lib/firmware/ath10k ,but i don't think thats necessary in most cases.

santicas20 (santiagocasas) wrote :

Hi, I have an extra question: My WiFi works with the patch, but bluetooth is not recognized. Is there a way to solve that ?

Colin (c-simpson) wrote :

Adam Lee - you are a legend mate! Used the 1.1 patch from 244. Had to use a fresh install of Ubuntu 15.04 with the 3.19.0-28 kernel. My 14.04 installation just would not work, no matter which kernel I tried. Machine is an Alienware-15 laptop. Last up is fixing the sound. Thanks again, major kudos!!

Pere (pcp15) wrote :

Hi,

Thanks Adam Lee ! Works for me.

I have a Msi Gs60 2QE with Ubuntu 15.04 -with 3.19.0-28 and I installed the latest patch (1.1) and it gave me wifi.

Nowadays the problem seems the speed. In Windows I running a speed test and give 67 mbps and 10 mbps in Ubuntu 19 mbps and 10 mbps.

Thanks !

@Roman

Thanks for your way, this wireless is worked. But bluetooth is not work.

chevrier (tc-s) wrote :

Agreed - This Adam Lee is amazing! absolutely amazing.
Things have been working without effort, following the steps above, using #244 and prior.
All versions of Ubuntu, 14.04 LTS and 15.04. A charm.

I have a quadruple boot (Win 10, Ubuntu 14.04, Ubuntu 15.04 twice).
I upgraded the second Ubuntu 15.04 to 15.10 for... fun! :-p
The wireless stopped working (and other things! as expected for beta)
I can post this, because I restarted Ubuntu 15.10 with Kernel 3.19.0-28-generic and it worked without problems.
No luck with the 4.2 kernel - doesn't show any wlan interfaces...
I will try #294

chevrier (tc-s) wrote :

Sorry for the apparent spam, but those who are inexperienced like me, may find this useful...
I got wifi to work for 15.10, 4.2 kernel as well now.
The trick was very simple and available above in #115 (but noticed it from looking at another website!)

7. Create config file with:
nano /etc/modprobe.d/ath10k.conf
Write to it:
options ath10k_core skip_otp=y

(i used sudo gvim, but that's irrelevant!! :-p)
Just doing that will make it work.

Thanks a lot again Adam Lee! you are a true star.
My card works now with all possible combinations of Ubuntu and Kernel (well, post 3.19) and i guess i wont be using Win 10 as much!! :-D

Mike Ellertson (mdellertson) wrote :

@romanbn, I followed the suggestions you made in post # 290. Your solution worked like a charm, thanks so much! And thanks to everyone who worked on this solution! I just want to say, all your efforts are sincerely appreciated!!

Jeroen (c0p3rn1c) wrote :

@adam lee; dkms_1.1_all.deb works fine at kubuntu 15.04
uname -a
Linux GS70-2QE 3.19.0-15-generic #15-Ubuntu SMP Thu Apr 16 23:32:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
lspci
Network controller: Qualcomm Atheros Device 003e (rev 20)
        Subsystem: Bigfoot Networks, Inc. Device 1525
        Flags: bus master, fast devsel, latency 0, IRQ 33
        Memory at f6800000 (64-bit, non-prefetchable) [size=2M]
        Capabilities: <access denied>
        Kernel driver in use: ath10k_pci

chevrier (tc-s) wrote :

As rugby world cup is happening and i'd like to use external sound, I realize that indeed, blueetooth is not working. As many asked, is there a work around?
I get the exact same error message as many folks above, in dmesg:

[ 3.767091] usbcore: registered new interface driver btusb
[ 3.772611] usb 1-9: Direct firmware load for ar3k/AthrBT_0x00000200.dfu failed with error -2
[ 3.772614] Bluetooth: Patch file not found ar3k/AthrBT_0x00000200.dfu
[ 3.772615] Bluetooth: Loading patch file failed
[ 3.772619] ath3k: probe of 1-9:1.0 failed with error -2

really sorry to bother, bluetooth is not as critical but still a nice thing to have! :-)
Many thanks
thomas

Adam Lee (adam8157) on 2015-10-23
Changed in linux (Ubuntu):
status: Triaged → Fix Released
no longer affects: hwe-next/vivid
Adam Lee (adam8157) on 2015-10-23
description: updated
Rob (fynesr) wrote :

I'm running Vivid 15.04 with kernel 3.19
I have the ath10k 1.1 deb package installed for the last couple of months, and I've usually been getting only a couple of MBs downstream on a 150MB connection. Occasionally, I've been getting less than 1 MB, but now it's dropped to ~256Kb fairly consistently.

I'v reinstalled the package, but it's still the same. Should I try building the kernel with kvalo (again, originally my first few build attempts failed, before I tried the 1.1 deb) or would updating to a different kernel with the 1.1 deb package have better results?

Hello.

I have been using the .deb file for a few months on 15.04 and everything was working great.

I just updated to 15.10 Wily and unfortunately this broke wifi once again...

I tried doing 'sudo rm -rf /lib/firmware/ath10k' and then pasting in the ath10k folder from the github repo you have pinned at the top of this page but that did not help.

I tried deleting the /lib/firmware/ath10k/ folder completely and then running 'dmesg | grep ath10k' which returned something weird:

$ dmesg | grep ath10k
[ 2.743682] ath10k_pci 0000:04:00.0: enabling device (0000 -> 0002)
[ 2.743956] ath10k_pci 0000:04:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2.971047] ath10k_pci 0000:04:00.0: Direct firmware load for ath10k/cal-pci-0000:04:00.0.bin failed with error -2
[ 2.971379] ath10k_pci 0000:04:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 2.971382] ath10k_pci 0000:04:00.0: failed to load spec board file, falling back to generic: -2
[ 2.971634] ath10k_pci 0000:04:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-5.bin failed with error -2
[ 2.971637] ath10k_pci 0000:04:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-5.bin': -2
[ 3.052148] ath10k_pci 0000:04:00.0: otp calibration failed: 3
[ 3.052151] ath10k_pci 0000:04:00.0: failed to run otp: -22
[ 3.052152] ath10k_pci 0000:04:00.0: could not init core (-22)
[ 3.052165] ath10k_pci 0000:04:00.0: could not probe fw (-22)

Then, I tried uninstalling the .deb file and reinstalling it but I got the following:

$ sudo dpkg --install /media/data/ath10k-dkms_1.1_all.deb
Selecting previously unselected package ath10k-dkms.
(Reading database ... 211283 files and directories currently installed.)
Preparing to unpack .../data/ath10k-dkms_1.1_all.deb ...
Unpacking ath10k-dkms (1.1) ...
Setting up ath10k-dkms (1.1) ...
Loading new ath10k-1.1 DKMS files...
First Installation: checking all kernels...
Building only for 4.2.0-16-generic
Building for architecture x86_64
Building initial module for 4.2.0-16-generic
ERROR (dkms apport): kernel package linux-headers-4.2.0-16-generic is not supported
Error! Bad return status for module build on kernel: 4.2.0-16-generic (x86_64)
Consult /var/lib/dkms/ath10k/1.1/build/make.log for more information.
dpkg: error processing package ath10k-dkms (--install):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for initramfs-tools (0.120ubuntu6) ...
update-initramfs: Generating /boot/initrd.img-4.2.0-16-generic
Errors were encountered while processing:
 ath10k-dkms

And here is some more info

$ iwconfig
p2p1 no wireless extensions.

lo no wireless extensions.

$ uname -a
Linux sovereign 4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

It looks like something is wrong... I can see in dmesg that it's referring to files that do not exist in the ath10k folder.

Thanks for your work so far Adam and I hope you can provide some help with the new Ubuntu.

Adam Lee (adam8157) on 2015-10-24
description: updated
Adam Lee (adam8157) on 2015-10-24
description: updated
description: updated
description: updated

Hello.

I am here to first of all thanks Adam once again for his fast response and secondly to confirm that, after Adam's suggestion on the new status, my wifi is now working on Wily 15.10.

All I did was copy the files from the link manually into /lib/firmware/ath10k/

Here is an output of dmesg with a few errors on it, even though wifi looks like it's working:

$ dmesg | grep ath10k
[ 2.737772] ath10k_pci 0000:04:00.0: enabling device (0000 -> 0002)
[ 2.738032] ath10k_pci 0000:04:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2.962757] ath10k_pci 0000:04:00.0: Direct firmware load for ath10k/cal-pci-0000:04:00.0.bin failed with error -2
[ 2.962978] ath10k_pci 0000:04:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 2.962980] ath10k_pci 0000:04:00.0: failed to load spec board file, falling back to generic: -2
[ 4.136905] ath10k_pci 0000:04:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw WLAN.RM.1.1-00141 api 5 htt 3.1 wmi 4 cal otp max_sta 32
[ 4.136908] ath10k_pci 0000:04:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 6.163551] ath10k_pci 0000:04:00.0: no channel configured; ignoring frame(s)!

Adam Lee (adam8157) on 2015-10-26
Changed in linux-firmware (Ubuntu):
status: Triaged → In Progress
Praveen Sundar (prawinsg) wrote :

Hello Dimitrios,
I recently upgraded to Ubuntu Wily. I found that there's already a copy of hw2.1 and hw3.0 in /lib/firmware/ath10k/QCA6174. Should I replace all the files?

Download full text (5.3 KiB)

If you have no wifi with the files that are currently in there, then yes.
Repalce them with the ones Adam mentioned

On Mon, Oct 26, 2015 at 7:56 PM, Praveen Sundar <email address hidden> wrote:

> Hello Dimitrios,
> I recently upgraded to Ubuntu Wily. I found that there's already a copy of
> hw2.1 and hw3.0 in /lib/firmware/ath10k/QCA6174. Should I replace all the
> files?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Triaged
> Status in HWE Next wily series:
> Triaged
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> In Progress
> Status in linux source package in Wily:
> New
> Status in linux-firmware source package in Wily:
> New
>
> Bug description:
> =========================================================
>
> CURRENT STATUS:
>
> Wily(15.10) could not work with and don't need Adam's dkms package 1.0
> or 1.1
>
> Wily(15.10) has already fixed the driver part, and the firmware part
> is in progress.
>
> For now, you guys could use 15.10(purge the ath10k-dkms if you tried
> installing it), and make a copy of
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-
> firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/
>
> Those dkms deb packages will be relocated soon.
>
> =========================================================
>
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-37-generic N/A
> linux-backports-modules-3.13.0-37-generic N/A
> linux-firmware 1.127.7
> RfKill:
>
> Tags: trusty
> Uname: Linux 3.13.0-37-generic x86_64
> Up...

Read more...

Hello.

If the wifi isnt working with what you have there right now, yes. Replace them with the files Adam suggested. It worked for me.

Ben (bencohen2) wrote :
Download full text (5.6 KiB)

Hey,

I'm running 14.04 on an MSI GS60
<http://us.msi.com/pdf/GS60%20Ghost%20Pro-002.pdf> laptop. I can't upgrade
to a newer version of Ubuntu because I need 14.04 for work. I tried
installing 4.3 kernel on it and the machine is less stable (sometimes it
freezes at bootup - soft lockup-CPU stuck).

Will Adam's fix work in 14.04 with one of the following kernels -->
 3.19.0-25-generic or 3.19.0-31-generic?

thanks,
-- ben

On Mon, Oct 26, 2015 at 4:25 PM, Dimitrios Matanis <
<email address hidden>> wrote:

> Hello.
>
> If the wifi isnt working with what you have there right now, yes.
> Replace them with the files Adam suggested. It worked for me.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Triaged
> Status in HWE Next wily series:
> Triaged
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> In Progress
> Status in linux source package in Wily:
> New
> Status in linux-firmware source package in Wily:
> New
>
> Bug description:
> =========================================================
>
> CURRENT STATUS:
>
> Wily(15.10) could not work with and don't need Adam's dkms package 1.0
> or 1.1
>
> Wily(15.10) has already fixed the driver part, and the firmware part
> is in progress.
>
> For now, you guys could use 15.10(purge the ath10k-dkms if you tried
> installing it), and make a copy of
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-
> firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/
>
> Those dkms deb packages will be relocated soon.
>
> =========================================================
>
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-ge...

Read more...

Corey (barnwell9) wrote :

The fix in the first post for 15.10 does not seem to work, I can see the networks but not connect. Eventually I'm not even able to see the available networks.

Adam Lee (adam8157) wrote :

@Ben, sorry, we start to fix it in base ubuntu from 15.10. you could keep using the dkms.

description: updated
Josh Taylor (jtaylor231) wrote :

Upgraded to 15.04, removed dkms as noted (worked fine in 15.04), and copied the files as noted in the description (historic: For now, you guys could use 15.10(purge the ath10k-dkms if you tried installing it), and make a copy of https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/).

I now get the attached in dmesg when connecting to a network. Seems it's crashing?

Josh Taylor (jtaylor231) wrote :

Update: Seems this only happens on 5Ghz, 2.4ghz works fine.

Adam Lee (adam8157) on 2015-10-28
Changed in linux (Ubuntu Wily):
status: New → Fix Released
Seth Forshee (sforshee) on 2015-10-28
Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Released
Changed in linux-firmware (Ubuntu Wily):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
status: In Progress → Fix Committed
chevrier (tc-s) wrote :

I am totally puzzled. I followed religiously the instructions provided, and yes, it "works", and i can "connect" under 15.10. when i look at "connection information", the details are exactly identical to what i get when i connect under 15.04 (same ISP, same driver, same speed, same ipv4 and ipv6 - all identical)
Yet, under 15.10, no web pages open in any browser - just dies. can't go to google, yahoo, or anything, even though everything looks exactly the same as under 15.04. The only differences i noted were the following lines in dmesg.

Under 15.04:
qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw rome-hw2.1-v211-michalk api 2 htt 3.0 wmi 4 cal otp max_sta 32
debug 1 debugfs 1 tracing 0 dfs 0 testmode 0

Under 15.10:
qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw WLAN.RM.1.1-00141 api 5 htt 3.1 wmi 4 cal otp max_sta 32
debug 0 debugfs 1 tracing 1 dfs 0 testmode 0

everything else seems identical.

anyone patient enough to kindly let me know what i could have possibly stuffed??
:-(

Many thanks,
thomas

Hello chevrier.

Sorry to hear about your problem.

Even though I'm sure this isn't the answer you are looking for, could you please make sure this is not a router problem?

I mean, do you have access to the internet over the same wifi connection on another device?

Kind of sounds like you've actually got connected to your modem/router but you do not have outside world access.

I am sorry if this doesn't help and the issue persists. I'm sure someone with more knowledge than me will be able to help you further.

Frank Zafka (kafkaesque1978) wrote :

Just my 2 cents. I'm running arch, but still I seem to have the same issue as Thomas (chevrier). In the last day or two it's gone from slow but stable (6mb/s on 5ghz) to downright ridiculous. It is connected to the router, but drops connections left right and centre. Seems to work better on 2.4ghz but then I'm getting a report 1mb/s. On windows i'm getting nearer 300. This isn't a router issue, it's a wifi card issue. Sounds like me and Thomas are experiencing the same thing.

chevrier (tc-s) wrote :

Thanks much Dimitrios, really appreciate you took the time to answer, even though you are spot on - not the answer i am looking for :-) - been following your posts too. thanks god, i wasn't that stupid! ;-p
same laptop, same config, same everything.
As i explained in an earlier post, Adam's dkms package worked perfect for me with ALL ubuntus (i have quadruple boot, win 10, 14.04 LTS, 15.04 and 15.10 beta final). I had kernel 3.19 installed and booted. see my post #300.
Definitely stupidity, but by mistake, i issued sudo apt-get autoremove and lost the magic 3.19 kernel under ubuntu 15.10. Reinstalling "manually" 3.19 (i.e. not via synaptic) has not helped. :-s and it's after that that i have been wifi deprived - weird.
Therefore, I am trying to get 4.2 to work again, initially without success, but finally seems to work. My output is the same as the one people who have it working!, including you Dimitrios!! :-ss
Everything is also identical to what i get here under 15.04, except that i am not accessing anything on the www! :-( i can use any browser to go to yahoo or google and it just dies after a long wait.
I had read Frank's comment obviously, and everyone else's, and i have access to multiple ISPs, but none work, whatever their speed (5Ghz, etc...)
Really baffled by what is happening... could it be related to the duplication of places where to get the firmware files?? i used the location provided by the last guy above to say it worked for him.... maybe i am not using the correct files? that's the only thing that should be different, since i copied the file as instructed whereas for 15.04, which i am using to type this, i am using Adam's dkms.

chevrier (tc-s) wrote :

Still looking into this...
I see that when I use Adam's dkms, dmsg gives
qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw killer-n1525-fw api 4 htt 3.0 wmi 4 cal otp max_sta 32
whereas just copying the files, i get like everyone else...
qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw WLAN.RM.1.1-00141 api 5 htt 3.1 wmi 4 cal otp max_sta 32
(or sometimes, the other driver)
could that be the issue? somehow using adam's package my card gets properly identified as killer-n1525, while it's not when i just use those recommended files?
maybe i am just talking rubbish here - apologies if so.
I obviously don't really know.

Max (papel647) wrote :

Hello everyone !

Unfortunately for me, the solution of the deb package did not work... My network card is still not recognized ...
Someone has an idea ? Maybe there is a link with the fact I tried several drivers, like backports, ath10k, and ath9k ?

Someone know what I would need to do in order to the deb package to work like everyone else ? I really need a solution for this, as this computer is used to make simulation on a cluster, and I need to be connected to the server !

btw, I have Linux 14.04 LTS

Manu thanks for your help!!!!
Max

Adam Lee (adam8157) on 2015-10-30
Changed in hwe-next:
status: Triaged → Fix Committed
chevrier (tc-s) wrote :

Max - can you provide some details at which exact steps you took, what kernel you use, what you tried etc?
Adam's solution is definitely working.
As a matter of fact, I just tried a fresh 15.10 install and it's working fine. Just followed steps and is all fine.
I just don't understand why my other 15.10 install just won't work. I did remove the dmsg-ath10k package. really confused.
:-s
let us know max, so we can help properly. see above posts.
thanks

Chris Glass (tribaal) wrote :

Could somebody summarize that the instructions to get this working on wily are? Thanks a lot

chevrier (tc-s) wrote :
Download full text (5.9 KiB)

very simple.
Follow the instructions provided in the email you quoted, copied for your
convenience:

  For now, you guys could use 15.10(purge the ath10k-dkms if you tried
  installing it), and make a copy of

https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/plain/ath10k/QCA6174
into /lib/firmware/ath10k/

in the git link - two folders, copy them in a QCA6174 folder you'll create
first, as with a fresh install, it won't exist.
reboot and your system will have wifi.
revert if you experience any difficulties.
tks

On Mon, Nov 2, 2015 at 11:14 PM, Chris Glass <
<email address hidden>> wrote:

> Could somebody summarize that the instructions to get this working on
> wily are? Thanks a lot
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Fix Committed
> Status in HWE Next wily series:
> Fix Committed
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Fix Released
> Status in linux source package in Wily:
> Fix Released
> Status in linux-firmware source package in Wily:
> Fix Committed
>
> Bug description:
> =========================================================
>
> CURRENT STATUS:
>
> Wily(15.10) could not work with and don't need Adam's dkms package 1.0
> or 1.1
>
> Wily(15.10) has already fixed the driver part, and the firmware part
> is in progress.
>
> For now, you guys could use 15.10(purge the ath10k-dkms if you tried
> installing it), and make a copy of
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-
> firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/
>
> Distros before 15.10(lower than 4.2 kernel) please keep using the
> dkms(which will be relocated soon)
>
> =========================================================
>
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLi...

Read more...

Hello Dimitrios, or anyone else affected,

Accepted linux-firmware into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.149.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Lee (adam8157) wrote :

@Chris, linux-image 4.2 + linux-firmware 1.149.2 works

description: updated

As above, the combination of;

ii linux-firmware 1.149.2
ii linux-image-extra-4.2.0-16-generic 4.2.0-16.19

Works fine for me on 14.04.

Thanks.

Seth Forshee (sforshee) wrote :

Adding verifycation-done tag based on positive test results in comments #325 and #326.

tags: added: verification-done
Download full text (5.2 KiB)

Has anyone done proper testing of this on 5GHz wifi networks?

On Thu, Nov 5, 2015 at 1:59 PM, Seth Forshee <email address hidden>
wrote:

> Adding verifycation-done tag based on positive test results in comments
> #325 and #326.
>
> ** Tags added: verification-done
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Fix Committed
> Status in HWE Next wily series:
> Fix Committed
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Fix Released
> Status in linux source package in Wily:
> Fix Released
> Status in linux-firmware source package in Wily:
> Fix Committed
>
> Bug description:
> =========================================================
>
> CURRENT STATUS:
>
> Wily(15.10) could not work with and don't need Adam's dkms package 1.0
> or 1.1
>
> Wily(15.10) has already fixed the driver part, and the firmware part
> is in progress.
>
> For now, you guys could use 15.10(purge the ath10k-dkms if you tried
> installing it), and make a copy of
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-
> firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/
>
> 15.10 will work in a week by a simple `apt upgrade`
>
> Distros before 15.10(lower than 4.2 kernel) please keep using the
> dkms(which will be relocated soon)
>
> =========================================================
>
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-37-generic N/A
> linux-backports-modules-3.13.0-37-generic N/A
> linux-firmware 1.127.7
> RfKill:
>
> Tags: trusty
...

Read more...

Roman (romanbn) wrote :

I didn't used the new purposed firmware-package because i installed the firmware manually from the ath10k-firmware repository before. If testing this one is not valid ignore this post:

Im getting a firmware crash on the 5 GHz network at my university (see attachment) with Kernel 4.2.0-16.
After this one i tested the testing-firmware (SW_RM.1.1.1-00157-QCARMSWPZ-1) from the ath10k-firmware repository too. It didnt crash but i wasn't able to connect either.

I am on Ubuntu 15.10, and using the package from proposed repository

* linux-firmware 1.149.2

* Linux name 4.2.0-17-generic #21-Ubuntu SMP Fri Oct 23 19:56:16 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I am currently on a 5GHz connection and it seems fine. I am not sure what counts as proper testing, though.

Download full text (5.8 KiB)

I tried connecting to 5GHz at work today and it did not work. I am using
adam's copy paste suggestion from earlier posts.

Nomal wifi networks work fine.

On Thu, Nov 5, 2015 at 7:55 PM, Roman <email address hidden> wrote:

> I didn't used the new purposed firmware-package because i installed the
> firmware manually from the ath10k-firmware repository before. If testing
> this one is not valid ignore this post:
>
> Im getting a firmware crash on the 5 GHz network at my university (see
> attachment) with Kernel 4.2.0-16.
> After this one i tested the testing-firmware
> (SW_RM.1.1.1-00157-QCARMSWPZ-1) from the ath10k-firmware repository too. It
> didnt crash but i wasn't able to connect either.
>
>
>
> ** Attachment added: "WLAN.RM.1.1-00141"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1383184/+attachment/4513672/+files/WLAN.RM.1.1-00141
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Fix Committed
> Status in HWE Next wily series:
> Fix Committed
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Fix Released
> Status in linux source package in Wily:
> Fix Released
> Status in linux-firmware source package in Wily:
> Fix Committed
>
> Bug description:
> =========================================================
>
> CURRENT STATUS:
>
> Wily(15.10) could not work with and don't need Adam's dkms package 1.0
> or 1.1
>
> Wily(15.10) has already fixed the driver part, and the firmware part
> is in progress.
>
> For now, you guys could use 15.10(purge the ath10k-dkms if you tried
> installing it), and make a copy of
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-
> firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/
>
> 15.10 will work in a week by a simple `apt upgrade`
>
> Distros before 15.10(lower than 4.2 kernel) please keep using the
> dkms(which will be relocated soon)
>
> =========================================================
>
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo ...

Read more...

Adam Lee (adam8157) on 2015-11-06
Changed in hwe-next:
assignee: Adam Lee (adam8157) → Hui Wang (hui.wang)
Changed in linux (Ubuntu):
assignee: Adam Lee (adam8157) → Hui Wang (hui.wang)
Changed in linux-firmware (Ubuntu):
assignee: Adam Lee (adam8157) → Hui Wang (hui.wang)

I am on UbuntuStudio 15.10, and using the package from proposed repository

i linux-image-4.2.0-17-lowlatency (4.2.0-17.21)
ii linux-firmware (1.149.2)

works fine for me.

Thanks.

tags: added: verification-done

chevrier (tc-s) wrote :
Download full text (5.5 KiB)

worked for me on 4.2.0.16, but upgrading to 4.2.0.17 made the wireless
adaptor disappear... :-s

On Sat, Nov 7, 2015 at 1:03 AM, radiovirusgenerator <email address hidden>
wrote:

> I am on UbuntuStudio 15.10, and using the package from proposed
> repository
>
> i linux-image-4.2.0-17-lowlatency (4.2.0-17.21)
> ii linux-firmware (1.149.2)
>
> works fine for me.
>
> Thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1383184
>
> Title:
> Atheros Qualcomm Killer N1525 Wireless-AC [168c:003e] is not supported
>
> Status in HWE Next:
> Fix Committed
> Status in HWE Next wily series:
> Fix Committed
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Fix Released
> Status in linux source package in Wily:
> Fix Released
> Status in linux-firmware source package in Wily:
> Fix Committed
>
> Bug description:
> =========================================================
>
> CURRENT STATUS:
>
> Wily(15.10) could not work with and don't need Adam's dkms package 1.0
> or 1.1
>
> Wily(15.10) has already fixed the driver part, and the firmware part
> is in progress.
>
> For now, you guys could use 15.10(purge the ath10k-dkms if you tried
> installing it), and make a copy of
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-
> firmware.git/plain/ath10k/QCA6174 into /lib/firmware/ath10k/
>
> 15.10 will work in a week by a simple `apt upgrade`
>
> Distros before 15.10(lower than 4.2 kernel) please keep using the
> dkms(which will be relocated soon)
>
> =========================================================
>
> Card detail: Qualcomm Atheros Device [168c:003e] (rev 20)
> Subsystem: Bigfoot Networks, Inc. Device [1a56:1525]
>
> This is on a fully updated Ubuntu Server 14.04 installation, with the
> ubuntu-desktop environment installed. This happened in order to get the md
> raid drivers for raid0 on my system, as the desktop version doesn't support
> them.
> ---
> ApportVersion: 2.14.1-0ubuntu3.5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: matanis 2333 F.... pulseaudio
> /dev/snd/controlC0: matanis 2333 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 14.04
> HibernationDevice: RESUME=UUID=1b192ee3-f592-43e9-bdcf-08b91c0aa9b6
> InstallationDate: Installed on 2014-10-16 (3 days ago)
> InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release
> amd64 (20140722.3)
> IwConfig:
> p2p1 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: Micro-Star International Co., Ltd. GT72 2QE
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcFB: 0 EFI VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic.efi.signed
> root=UUID=80998dbb-1f89-4eda-be90-25e35e1c0a90 ro
> ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-37-generic N/A
> linux-backports-modules-3.13.0-37...

Read more...

S Krishnaswamy (mkukrishna) wrote :

I am using Lenovo G50-80 with Ubuntu 15.10. After installing the
 https://launchpad.net/ubuntu/+source/linux-firmware/1.149.2/+build/8264018/+files/linux-firmware_1.149.2_all.deb
from the above fix, I am still not getting the wireless.

lpsci -nnk gives for network controller
03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)
       Subsystem: Lenovo Device [17aa:3545]
There is no mention of Kernel driver in use.

How can I get the kernel driver for this device included?

Please help

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.149.2

---------------
linux-firmware (1.149.2) wily; urgency=medium

  * Update ath10k firmware to support Atheros Qualcomm Killer N1525
    Wireless-AC
     ath10k: QCA6174 hw2.1: add firmware WLAN.RM.1.1-00141 and board.bin
     ath10k: QCA6174 hw3.0: add WLAN.RM.2.0-00180-QCARMSWPZ-1
    -LP: #1383184

 -- Seth Forshee <email address hidden> Wed, 28 Oct 2015 11:26:13 -0500

Changed in linux-firmware (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in hwe-next:
status: Fix Committed → Fix Released
f0cks (f0cks) wrote :

Hey!
Nice work, Killer Wireless-AC 1525 is working great with solution #209 and installation of dkms before.
However, all my wireless usb adapters do not work anymore... I can see them with lsusb but they are not present in iwconfig or ifconfig. Seems like all other wifi drivers are failing. Any solution to get them back?
sudo modprobe rtl8187 does not work to load the module:
modprobe: ERROR: could not insert 'rtl8187': Invalid argument
Thanks for your help!

osterchrisi (osterchrisi) wrote :

Is there any update on the dmks yet? The current status hasn't changed for some weeks now and I am still having this issue with 14.04.

osterchrisi (osterchrisi) wrote :

Thank you f0cks for pointing that out. This doesn't really work for me... I never had the dkms installed... would that make a difference? Or would I have to also make all steps of post 209 maybe?

osterchrisi (osterchrisi) wrote :

Okay, I figured it out now. After unpacking, configuring, making and installing and then copying the ath10k firmware as in the link that you gave me in #340, I figured through "dmesg | grep ath10k" that the system couldn't find the firmware. It was both in the wrong folder and it had a weird name:

So instead of the file
firmware-5.bin being at
/lib/firmware/ath10k/QCA6174/hw2.1

I had a file named
firmware-5.bin_SW_RM.1.1.1-00157-QCARMSWPZ-1 being at
/lib/firmware/ath10k/ath10k-firmware/QCA6174/hw2.1

I copied the whole content of the "ath10k-firmware" folder one level up and renamed the file to firmware-5.bin and now it works!! Also the LAN module still works ;)

Nucleo (admar505) wrote :

Hello,

the above fix, copying files into the correct location worked until this upgrade came through:

upgrade network-manager:amd64 1.0.4-0ubuntu5.1 1.0.4-0ubuntu5.2

now it seems ath10k is not loading.

if I do a manual sudo modprobe force ath10k_pci

it lists in lsmod, but networkmanager seems to not care. maybe this is a network manager problem, not for this post?

Nucleo (admar505) wrote :

sorry, no, I am wrong. it loads now. disregard #343

Keng-Yu Lin (lexical) on 2015-12-21
Changed in network-manager (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu Wily):
status: New → Confirmed
Keng-Yu Lin (lexical) on 2015-12-21
Changed in network-manager (Ubuntu):
status: Confirmed → Invalid
importance: High → Undecided

Sorry, it says "willy should work" but it doesn't for me .

lspci --n
03:00.0 Ethernet controller [0200]: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller [1969:e091] (rev 13)
04:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 20)

uname -a
Linux guigolum-GT72-2QE 4.2.0-22-generic #27-Ubuntu SMP Thu Dec 17 22:57:08 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I have a netgear X4 R7500 802.1 g/n/ac router with two access points (one ac and one n)

network-manager can SEE all the wifi AP (both n and ac) BUT can only connect to the n. When I try to connect to ac, it asks me for password, then after some time request the password again. At this moment I can't connect to any AP unless I enter sudo network-manager restart .

Basically I am stuck with 802.11n now.I also bought other WIFI USB dongles with 802.11ac but none were working correctly.

MoonSky219 (moonsky219) wrote :
Download full text (9.8 KiB)

Willy still doesn't work:

Linux version: 4.2.0-22-generic
Linux-firmware version: 1.149.3
Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 20)
05:00.0 0280: 168c:003e (rev 20)

dmesg | grep ath10k
[ 5.534130] ath10k_pci 0000:05:00.0: pci irq msi interrupts 1 irq_mode 0 reset_mode 0
[ 5.791596] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/cal-pci-0000:05:00.0.bin failed with error -2
[ 5.792386] ath10k_pci 0000:05:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:003e:1a56:1525.bin failed with error -2
[ 5.792388] ath10k_pci 0000:05:00.0: failed to load spec board file, falling back to generic: -2
[ 7.230331] ath10k_pci 0000:05:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw WLAN.RM.1.1-00141 api 5 htt 3.1 wmi 4 cal otp max_sta 32
[ 7.230335] ath10k_pci 0000:05:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 7.314488] ath10k_pci 0000:05:00.0 wlp5s0: renamed from wlan0
[ 20.121135] ath10k_pci 0000:05:00.0: no channel configured; ignoring frame(s)!
[ 104.337703] ath10k_pci 0000:05:00.0: firmware crashed! (uuid 834440fd-8eea-474b-9540-920bf9abceca)
[ 104.337718] ath10k_pci 0000:05:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw WLAN.RM.1.1-00141 api 5 htt 3.1 wmi 4 cal otp max_sta 32
[ 104.337722] ath10k_pci 0000:05:00.0: debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 104.339730] ath10k_pci 0000:05:00.0: firmware register dump:
[ 104.339738] ath10k_pci 0000:05:00.0: [00]: 0x05010000 0x000015B3 0x00939797 0x00955B31
[ 104.339742] ath10k_pci 0000:05:00.0: [04]: 0x00939797 0x00060330 0x00000000 0x00000000
[ 104.339745] ath10k_pci 0000:05:00.0: [08]: 0x00413980 0x0000FFFF 0x00000000 0x00000000
[ 104.339748] ath10k_pci 0000:05:00.0: [12]: 0x00000009 0xFFFFFFFF 0x0096C09C 0x0096C0A7
[ 104.339752] ath10k_pci 0000:05:00.0: [16]: 0x0096BDBC 0x009287BD 0x00000000 0x009287BD
[ 104.339756] ath10k_pci 0000:05:00.0: [20]: 0x40939797 0x0041A700 0x00407124 0x00000000
[ 104.339759] ath10k_pci 0000:05:00.0: [24]: 0x8093D6C4 0x0041A760 0x004059D0 0xC0939797
[ 104.339761] ath10k_pci 0000:05:00.0: [28]: 0x8094777F 0x0041A780 0x0046D5D8 0x00000001
[ 104.339763] ath10k_pci 0000:05:00.0: [32]: 0x800AA427 0x0041A7B0 0x0046D5D8 0x00000001
[ 104.339765] ath10k_pci 0000:05:00.0: [36]: 0x800AA58E 0x0041A7D0 0x00424824 0x00000001
[ 104.339767] ath10k_pci 0000:05:00.0: [40]: 0x80994D90 0x0041A7F0 0x00424824 0x0041A838
[ 104.339769] ath10k_pci 0000:05:00.0: [44]: 0x80996DC6 0x0041A820 0x0046F888 0x00412984
[ 104.339770] ath10k_pci 0000:05:00.0: [48]: 0x800B43F5 0x0041A860 0x004222F8 0x00005008
[ 104.339772] ath10k_pci 0000:05:00.0: [52]: 0x809A6ACC 0x0041A8F0 0x0042930C 0x0042CA24
[ 104.339774] ath10k_pci 0000:05:00.0: [56]: 0x809A6120 0x0041A930 0x0041A958 0x00427110
[ 104.357981] ath10k_pci 0000:05:00.0: failed to poke peer 94:b4:0f:ad:ee:70 param for ps workaround on vdev 0: -108
[ 105.856177] ath10k_pci 0000:05:00.0: firmware crashed! (uuid 4adf30b2-804c-403e-b050-ec673da281be)
[ 105.856190] ath10k_pci 0000:05:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:003e:1a56:1525 fallback) fw WLAN.RM.1.1-001...

MoonSky219, given this report is closed, if you would like your issue addressed then please file a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on this, please see https://wiki.ubuntu.com/ReportingBugs .

no longer affects: network-manager (Ubuntu Wily)
Stephen Boesch (javadba) wrote :

Why was this closed? The following entries -near the end of this bug - show that Ken-Yu Lin first set it to high priority but then to invalid on same day 12/21. But also the problem continues to affect users - including myself

Keng-Yu Lin (lexical) on 2015-12-21
Changed in network-manager (Ubuntu):
status: New → Confirmed
importance: Undecided → High

Changed in network-manager (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Launchpad Janitor (janitor) wrote on 2015-12-21: #345
Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu Wily):
status: New → Confirmed
Keng-Yu Lin (lexical) on 2015-12-21
Changed in network-manager (Ubuntu):
status: Confirmed → Invalid
importance: High → Undecided

Željko (zeljko2222) on 2016-03-18
Changed in linux (Ubuntu):
assignee: Hui Wang (hui.wang) → Željko (zeljko2222)
Carlos Laviola (claviola) wrote :

Still unsupported as of 16.04 and yakkety for my hardware (Dell Latitude E7270).

The workaround involves replacing "/lib/firmware/ath10k/QCA6174/hw3.0/board.bin" with a version from Killer Networking's website, as per:

http://www.killernetworking.com/product-support/knowledge-base/17-linux

The required file is directly available at:

http://www.killernetworking.com/support/K1535_Debian/board.bin

The machine is a Dell Latitude E7270. Here's the lspci output:

01:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32)
        Subsystem: Dell QCA6174 802.11ac Wireless Network Adapter [1028:0310]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
        Latency: 0
        Interrupt: pin A routed to IRQ 130
        Region 0: Memory at e1000000 (64-bit, non-prefetchable) [size=2M]
        Capabilities: <access denied>
        Kernel driver in use: ath10k_pci
        Kernel modules: ath10k_pci

Waynexyz (f-launchpad-sge4) wrote :

Still an issue even four years later.

On Ubuntu 18.10 dmesg outputs:

"[ 4.242132] ath10k_pci 0000:01:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 168c:3370
[ 4.242138] ath10k_pci 0000:01:00.0: kconfig debug 0 debugfs 1 tracing 1 dfs 0 testmode 0
[ 4.243006] ath10k_pci 0000:01:00.0: firmware ver WLAN.RM.4.4.1-00079-QCARMSWPZ-1 api 6 features wowlan,ignore-otp crc32 fd869beb
[ 4.308059] ath10k_pci 0000:01:00.0: failed to fetch board data for bus=pci,vendor=168c,device=003e,subsystem-vendor=168c,subsystem-device=3370 from ath10k/QCA6174/hw3.0/board-2.bin
[ 4.309354] ath10k_pci 0000:01:00.0: board_file api 1 bmi_id N/A crc32 ed5f849a"

There is a board.bin available directly from the vendor http://www.killernetworking.com/support/K1535_Debian/board.bin

The only thing which is missing is getting this added to https://wireless.wiki.kernel.org/en/users/drivers/ath10k/boardfiles . My problem is that I dont know how to read the board files and modify them because I do not know the encoding they use.

Any ideas how to get this solved?

Waynexyz (f-launchpad-sge4) wrote :

Edit:

This terminal ouput is from a Surface Go.

Also there is a guide how to port it to Linux https://developer.qualcomm.com/download/qca9377/wlan-bluetooth-linux-porting-guide.pdf

Also there have been some updates in the upstream linux-firmware repo. https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=a87eb5f7bac0f70ade57da57d9126d14eee12336 and https://github.com/kvalo/ath10k-firmware/tree/master/QCA6174/hw3.0 but they also do not help to get the wifi card working.

To post a comment you must log in.